ur_rna.RNAstructure.backend

## Class RNABackendJNI

- java.lang.Object
- - ur_rna.RNAstructure.backend.RNABackendJNI

-     public class RNABackendJNI
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RNABackendJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `CDblVector_add(long jarg1, CDblVector jarg1_, double jarg2)`
    `static long` | `CDblVector_capacity(long jarg1, CDblVector jarg1_)`
    `static void` | `CDblVector_clear(long jarg1, CDblVector jarg1_)`
    `static double` | `CDblVector_get(long jarg1, CDblVector jarg1_, int jarg2)`
    `static boolean` | `CDblVector_isEmpty(long jarg1, CDblVector jarg1_)`
    `static void` | `CDblVector_reserve(long jarg1, CDblVector jarg1_, long jarg2)`
    `static void` | `CDblVector_set(long jarg1, CDblVector jarg1_, int jarg2, double jarg3)`
    `static long` | `CDblVector_size(long jarg1, CDblVector jarg1_)`
    `static void` | `CIntVector_add(long jarg1, CIntVector jarg1_, int jarg2)`
    `static long` | `CIntVector_capacity(long jarg1, CIntVector jarg1_)`
    `static void` | `CIntVector_clear(long jarg1, CIntVector jarg1_)`
    `static int` | `CIntVector_get(long jarg1, CIntVector jarg1_, int jarg2)`
    `static boolean` | `CIntVector_isEmpty(long jarg1, CIntVector jarg1_)`
    `static void` | `CIntVector_reserve(long jarg1, CIntVector jarg1_, long jarg2)`
    `static void` | `CIntVector_set(long jarg1, CIntVector jarg1_, int jarg2, int jarg3)`
    `static long` | `CIntVector_size(long jarg1, CIntVector jarg1_)`
    `static int` | `COMPOUNDMESSAGELENGTH_get()`
    `static int` | `DBN_BIT_MULTI_SEQ_get()`
    `static int` | `DBN_BIT_MULTI_TITLE_get()`
    `static int` | `DBN_BIT_SEQ_LABEL_get()`
    `static int` | `DBN_BIT_SIDE_TITLES_get()`
    `static int` | `DBN_FMT_MULTI_TITLE_AND_SEQ_get()`
    `static int` | `DBN_FMT_MULTI_TITLE_get()`
    `static int` | `DBN_FMT_SIDE_TITLES_get()`
    `static int` | `DBN_FMT_SINGLE_TITLE_get()`
    `static double` | `DEFAULT_SHAPE_INTERCEPT_get()`
    `static double` | `DEFAULT_SHAPE_SLOPE_get()`
    `static void` | `delete_CDblVector(long jarg1)`
    `static void` | `delete_CIntVector(long jarg1)`
    `static void` | `delete_datatable(long jarg1)`
    `static void` | `delete_Dynalign_object(long jarg1)`
    `static void` | `delete_HybridRNA(long jarg1)`
    `static void` | `delete_PartialProgress(long jarg1)`
    `static void` | `delete_ProgressHandler(long jarg1)`
    `static void` | `delete_RNA(long jarg1)`
    `static void` | `delete_SimpleProgressHandler(long jarg1)`
    `static void` | `delete_singlestructure(long jarg1)`
    `static void` | `delete_structure(long jarg1)`
    `static void` | `delete_Thermodynamics(long jarg1)`
    `static void` | `delete_TProgressDialog(long jarg1)`
    `static void` | `delete_TwoRNA(long jarg1)`
    `static int` | `Dynalign_object_Dynalign__SWIG_0(long jarg1, Dynalign_object jarg1_, short jarg2, short jarg3, short jarg4, short jarg5, short jarg6, float jarg7, boolean jarg8, java.lang.String jarg9, boolean jarg10, short jarg11, boolean jarg12, short jarg13, int jarg14)`
    `static int` | `Dynalign_object_Dynalign__SWIG_1(long jarg1, Dynalign_object jarg1_, short jarg2, short jarg3, short jarg4, short jarg5, short jarg6, float jarg7, boolean jarg8, java.lang.String jarg9, boolean jarg10, short jarg11, boolean jarg12, short jarg13)`
    `static int` | `Dynalign_object_Dynalign__SWIG_10(long jarg1, Dynalign_object jarg1_, short jarg2, short jarg3, short jarg4)`
    `static int` | `Dynalign_object_Dynalign__SWIG_11(long jarg1, Dynalign_object jarg1_, short jarg2, short jarg3)`
    `static int` | `Dynalign_object_Dynalign__SWIG_12(long jarg1, Dynalign_object jarg1_, short jarg2)`
    `static int` | `Dynalign_object_Dynalign__SWIG_13(long jarg1, Dynalign_object jarg1_)`
    `static int` | `Dynalign_object_Dynalign__SWIG_2(long jarg1, Dynalign_object jarg1_, short jarg2, short jarg3, short jarg4, short jarg5, short jarg6, float jarg7, boolean jarg8, java.lang.String jarg9, boolean jarg10, short jarg11, boolean jarg12)`
    `static int` | `Dynalign_object_Dynalign__SWIG_3(long jarg1, Dynalign_object jarg1_, short jarg2, short jarg3, short jarg4, short jarg5, short jarg6, float jarg7, boolean jarg8, java.lang.String jarg9, boolean jarg10, short jarg11)`
    `static int` | `Dynalign_object_Dynalign__SWIG_4(long jarg1, Dynalign_object jarg1_, short jarg2, short jarg3, short jarg4, short jarg5, short jarg6, float jarg7, boolean jarg8, java.lang.String jarg9, boolean jarg10)`
    `static int` | `Dynalign_object_Dynalign__SWIG_5(long jarg1, Dynalign_object jarg1_, short jarg2, short jarg3, short jarg4, short jarg5, short jarg6, float jarg7, boolean jarg8, java.lang.String jarg9)`
    `static int` | `Dynalign_object_Dynalign__SWIG_6(long jarg1, Dynalign_object jarg1_, short jarg2, short jarg3, short jarg4, short jarg5, short jarg6, float jarg7, boolean jarg8)`
    `static int` | `Dynalign_object_Dynalign__SWIG_7(long jarg1, Dynalign_object jarg1_, short jarg2, short jarg3, short jarg4, short jarg5, short jarg6, float jarg7)`
    `static int` | `Dynalign_object_Dynalign__SWIG_8(long jarg1, Dynalign_object jarg1_, short jarg2, short jarg3, short jarg4, short jarg5, short jarg6)`
    `static int` | `Dynalign_object_Dynalign__SWIG_9(long jarg1, Dynalign_object jarg1_, short jarg2, short jarg3, short jarg4, short jarg5)`
    `static int` | `Dynalign_object_ForceAlignment(long jarg1, Dynalign_object jarg1_, int jarg2, int jarg3)`
    `static double` | `Dynalign_object_GetBestPairEnergy(long jarg1, Dynalign_object jarg1_, int jarg2, int jarg3, int jarg4)`
    `static java.lang.String` | `Dynalign_object_GetErrorMessage(long jarg1, Dynalign_object jarg1_, int jarg2)`
    `static int` | `Dynalign_object_GetForcedAlignment(long jarg1, Dynalign_object jarg1_, int jarg2, int jarg3)`
    `static double` | `Dynalign_object_GetLowestEnergy(long jarg1, Dynalign_object jarg1_)`
    `static int` | `Dynalign_object_ReadAlignmentConstraints(long jarg1, Dynalign_object jarg1_, java.lang.String jarg2)`
    `static void` | `Dynalign_object_SetProgress(long jarg1, Dynalign_object jarg1_, long jarg2, ProgressHandler jarg2_)`
    `static void` | `Dynalign_object_StopProgress(long jarg1, Dynalign_object jarg1_)`
    `static long` | `Dynalign_object_SWIGUpcast(long jarg1)`
    `static int` | `Dynalign_object_Templatefromct(long jarg1, Dynalign_object jarg1_, java.lang.String jarg2)`
    `static int` | `Dynalign_object_Templatefromdsv(long jarg1, Dynalign_object jarg1_, java.lang.String jarg2, float jarg3)`
    `static void` | `Dynalign_object_WriteAlignment(long jarg1, Dynalign_object jarg1_, java.lang.String jarg2)`
    `static int` | `FILE_CT_get()`
    `static int` | `FILE_DBN_get()`
    `static int` | `FILE_PFS_get()`
    `static int` | `FILE_SAV_get()`
    `static int` | `FILE_SEQ_get()`
    `static void` | `findPseudoknots__SWIG_0(long jarg1, CIntVector jarg1_, long jarg2, CIntVector jarg2_, long jarg3, CIntVector jarg3_)`
    `static void` | `findPseudoknots__SWIG_1(long jarg1, CIntVector jarg1_, long jarg2, CIntVector jarg2_)`
    `static void` | `findPseudoknots__SWIG_2(long jarg1, CIntVector jarg1_)`
    `static java.lang.String` | `getDataPath__SWIG_0(java.lang.String jarg1)`
    `static java.lang.String` | `getDataPath__SWIG_1()`
    `static boolean` | `hasPseudoknots(long jarg1, CIntVector jarg1_)`
    `static int` | `HybridRNA_AccessFold__SWIG_0(long jarg1, HybridRNA jarg1_, double jarg2, float jarg3, int jarg4, int jarg5, int jarg6)`
    `static int` | `HybridRNA_AccessFold__SWIG_1(long jarg1, HybridRNA jarg1_, double jarg2, float jarg3, int jarg4, int jarg5)`
    `static int` | `HybridRNA_AccessFold__SWIG_2(long jarg1, HybridRNA jarg1_, double jarg2, float jarg3, int jarg4)`
    `static int` | `HybridRNA_AccessFold__SWIG_3(long jarg1, HybridRNA jarg1_, double jarg2, float jarg3)`
    `static int` | `HybridRNA_AccessFold__SWIG_4(long jarg1, HybridRNA jarg1_, double jarg2)`
    `static int` | `HybridRNA_AccessFold__SWIG_5(long jarg1, HybridRNA jarg1_)`
    `static int` | `HybridRNA_FoldBimolecular__SWIG_0(long jarg1, HybridRNA jarg1_, float jarg2, int jarg3, int jarg4, java.lang.String jarg5, int jarg6)`
    `static int` | `HybridRNA_FoldBimolecular__SWIG_1(long jarg1, HybridRNA jarg1_, float jarg2, int jarg3, int jarg4, java.lang.String jarg5)`
    `static int` | `HybridRNA_FoldBimolecular__SWIG_2(long jarg1, HybridRNA jarg1_, float jarg2, int jarg3, int jarg4)`
    `static int` | `HybridRNA_FoldBimolecular__SWIG_3(long jarg1, HybridRNA jarg1_, float jarg2, int jarg3)`
    `static int` | `HybridRNA_FoldBimolecular__SWIG_4(long jarg1, HybridRNA jarg1_, float jarg2)`
    `static int` | `HybridRNA_FoldBimolecular__SWIG_5(long jarg1, HybridRNA jarg1_)`
    `static int` | `HybridRNA_FoldDuplex__SWIG_0(long jarg1, HybridRNA jarg1_, float jarg2, int jarg3, int jarg4, int jarg5)`
    `static int` | `HybridRNA_FoldDuplex__SWIG_1(long jarg1, HybridRNA jarg1_, float jarg2, int jarg3, int jarg4)`
    `static int` | `HybridRNA_FoldDuplex__SWIG_2(long jarg1, HybridRNA jarg1_, float jarg2, int jarg3)`
    `static int` | `HybridRNA_FoldDuplex__SWIG_3(long jarg1, HybridRNA jarg1_, float jarg2)`
    `static int` | `HybridRNA_FoldDuplex__SWIG_4(long jarg1, HybridRNA jarg1_)`
    `static int` | `HybridRNA_GetErrorCode(long jarg1, HybridRNA jarg1_)`
    `static boolean` | `HybridRNA_GetForbidIntramolecular(long jarg1, HybridRNA jarg1_)`
    `static java.lang.String` | `HybridRNA_GetMyErrorMessage(long jarg1, HybridRNA jarg1_, int jarg2)`
    `static long` | `HybridRNA_GetRNA1(long jarg1, HybridRNA jarg1_)`
    `static long` | `HybridRNA_GetRNA2(long jarg1, HybridRNA jarg1_)`
    `static int` | `HybridRNA_PartitionFunctionBimolecular__SWIG_0(long jarg1, HybridRNA jarg1_, java.lang.String jarg2)`
    `static int` | `HybridRNA_PartitionFunctionBimolecular__SWIG_1(long jarg1, HybridRNA jarg1_)`
    `static void` | `HybridRNA_SetForbidIntramolecular(long jarg1, HybridRNA jarg1_, boolean jarg2)`
    `static void` | `HybridRNA_SetProgress(long jarg1, HybridRNA jarg1_, long jarg2, ProgressHandler jarg2_)`
    `static void` | `HybridRNA_StopProgress(long jarg1, HybridRNA jarg1_)`
    `static long` | `HybridRNA_SWIGUpcast(long jarg1)`
    `static long` | `new_CDblVector__SWIG_0()`
    `static long` | `new_CDblVector__SWIG_1(long jarg1)`
    `static long` | `new_CIntVector__SWIG_0()`
    `static long` | `new_CIntVector__SWIG_1(long jarg1)`
    `static long` | `new_datatable()`
    `static long` | `new_Dynalign_object__SWIG_0()`
    `static long` | `new_Dynalign_object__SWIG_1(java.lang.String jarg1, java.lang.String jarg2, boolean jarg3)`
    `static long` | `new_Dynalign_object__SWIG_2(java.lang.String jarg1, java.lang.String jarg2)`
    `static long` | `new_Dynalign_object__SWIG_3(java.lang.String jarg1, int jarg2, java.lang.String jarg3, int jarg4, boolean jarg5)`
    `static long` | `new_Dynalign_object__SWIG_4(java.lang.String jarg1, int jarg2, java.lang.String jarg3, int jarg4)`
    `static long` | `new_Dynalign_object__SWIG_5(java.lang.String jarg1, int jarg2, java.lang.String jarg3, int jarg4, long jarg5, Thermodynamics jarg5_)`
    `static long` | `new_Dynalign_object__SWIG_6(java.lang.String jarg1)`
    `static long` | `new_Dynalign_object__SWIG_7(java.lang.String jarg1, short jarg2, short jarg3, short jarg4, short jarg5)`
    `static long` | `new_HybridRNA__SWIG_0(java.lang.String jarg1, java.lang.String jarg2, boolean jarg3)`
    `static long` | `new_HybridRNA__SWIG_1(java.lang.String jarg1, java.lang.String jarg2)`
    `static long` | `new_HybridRNA__SWIG_2(java.lang.String jarg1, int jarg2, java.lang.String jarg3, int jarg4, boolean jarg5)`
    `static long` | `new_HybridRNA__SWIG_3(java.lang.String jarg1, int jarg2, java.lang.String jarg3, int jarg4)`
    `static long` | `new_HybridRNA__SWIG_4(java.lang.String jarg1, int jarg2, java.lang.String jarg3, int jarg4, java.lang.String jarg5)`
    `static long` | `new_PartialProgress(long jarg1, ProgressHandler jarg1_)`
    `static long` | `new_RNA__SWIG_0(java.lang.String jarg1, boolean jarg2)`
    `static long` | `new_RNA__SWIG_1(java.lang.String jarg1)`
    `static long` | `new_RNA__SWIG_2(java.lang.String jarg1, int jarg2, java.lang.String jarg3, boolean jarg4, boolean jarg5)`
    `static long` | `new_RNA__SWIG_3(java.lang.String jarg1, int jarg2, java.lang.String jarg3, boolean jarg4)`
    `static long` | `new_RNA__SWIG_4(java.lang.String jarg1, int jarg2, java.lang.String jarg3)`
    `static long` | `new_RNA__SWIG_5(java.lang.String jarg1, int jarg2, long jarg3, Thermodynamics jarg3_)`
    `static long` | `new_RNA__SWIG_6(java.lang.String jarg1, int jarg2, boolean jarg3)`
    `static long` | `new_RNA__SWIG_7(java.lang.String jarg1, int jarg2)`
    `static long` | `new_RNA__SWIG_8(boolean jarg1)`
    `static long` | `new_RNA__SWIG_9()`
    `static long` | `new_SimpleProgressHandler()`
    `static long` | `new_singlestructure(int jarg1)`
    `static long` | `new_structure__SWIG_0(int jarg1)`
    `static long` | `new_structure__SWIG_1()`
    `static long` | `new_Thermodynamics__SWIG_0(boolean jarg1, java.lang.String jarg2, double jarg3)`
    `static long` | `new_Thermodynamics__SWIG_1(boolean jarg1, java.lang.String jarg2)`
    `static long` | `new_Thermodynamics__SWIG_2(boolean jarg1)`
    `static long` | `new_Thermodynamics__SWIG_3()`
    `static long` | `new_Thermodynamics__SWIG_4(long jarg1, Thermodynamics jarg1_)`
    `static long` | `new_TProgressDialog()`
    `static long` | `new_TwoRNA__SWIG_0(java.lang.String jarg1, java.lang.String jarg2, boolean jarg3)`
    `static long` | `new_TwoRNA__SWIG_1(java.lang.String jarg1, java.lang.String jarg2)`
    `static long` | `new_TwoRNA__SWIG_2(java.lang.String jarg1, int jarg2, java.lang.String jarg3, int jarg4, boolean jarg5)`
    `static long` | `new_TwoRNA__SWIG_3(java.lang.String jarg1, int jarg2, java.lang.String jarg3, int jarg4)`
    `static long` | `new_TwoRNA__SWIG_4(java.lang.String jarg1, int jarg2, java.lang.String jarg3, int jarg4, long jarg5, Thermodynamics jarg5_)`
    `static long` | `new_TwoRNA__SWIG_5()`
    `static void` | `PartialProgress_advanceToNextStep(long jarg1, PartialProgress jarg1_, int jarg2)`
    `static void` | `PartialProgress_cancel(long jarg1, PartialProgress jarg1_)`
    `static boolean` | `PartialProgress_canceled(long jarg1, PartialProgress jarg1_)`
    `static void` | `PartialProgress_setClient(long jarg1, PartialProgress jarg1_, long jarg2, ProgressHandler jarg2_)`
    `static void` | `PartialProgress_setNextStep(long jarg1, PartialProgress jarg1_, int jarg2)`
    `static void` | `PartialProgress_setWorkComplete(long jarg1, PartialProgress jarg1_, int jarg2)`
    `static void` | `PartialProgress_stepComplete(long jarg1, PartialProgress jarg1_)`
    `static long` | `PartialProgress_SWIGUpcast(long jarg1)`
    `static void` | `PartialProgress_update(long jarg1, PartialProgress jarg1_, int jarg2)`
    `static int` | `PartialProgress_workInNextStep_get(long jarg1, PartialProgress jarg1_)`
    `static void` | `PartialProgress_workInNextStep_set(long jarg1, PartialProgress jarg1_, int jarg2)`
    `static void` | `ProgressHandler_cancel(long jarg1, ProgressHandler jarg1_)`
    `static boolean` | `ProgressHandler_canceled(long jarg1, ProgressHandler jarg1_)`
    `static int` | `ProgressHandler_progress(long jarg1, ProgressHandler jarg1_)`
    `static void` | `ProgressHandler_reset(long jarg1, ProgressHandler jarg1_)`
    `static void` | `ProgressHandler_update__SWIG_0(long jarg1, ProgressHandler jarg1_, int jarg2)`
    `static void` | `ProgressHandler_update__SWIG_1(long jarg1, ProgressHandler jarg1_, double jarg2, double jarg3)`
    `static void` | `ProgressHandler_updateFraction(long jarg1, ProgressHandler jarg1_, double jarg2)`
    `static int` | `RNA_AddComment__SWIG_0(long jarg1, RNA jarg1_, java.lang.String jarg2, int jarg3)`
    `static int` | `RNA_AddComment__SWIG_1(long jarg1, RNA jarg1_, java.lang.String jarg2)`
    `static int` | `RNA_BreakPseudoknot__SWIG_0(long jarg1, RNA jarg1_, boolean jarg2, int jarg3, boolean jarg4)`
    `static int` | `RNA_BreakPseudoknot__SWIG_1(long jarg1, RNA jarg1_, boolean jarg2, int jarg3)`
    `static int` | `RNA_BreakPseudoknot__SWIG_2(long jarg1, RNA jarg1_, boolean jarg2)`
    `static int` | `RNA_BreakPseudoknot__SWIG_3(long jarg1, RNA jarg1_)`
    `static double` | `RNA_CalculateFreeEnergy__SWIG_0(long jarg1, RNA jarg1_, int jarg2, boolean jarg3)`
    `static double` | `RNA_CalculateFreeEnergy__SWIG_1(long jarg1, RNA jarg1_, int jarg2)`
    `static double` | `RNA_CalculateFreeEnergy__SWIG_2(long jarg1, RNA jarg1_)`
    `static boolean` | `RNA_ContainsPseudoknot(long jarg1, RNA jarg1_, int jarg2)`
    `static void` | `RNA_CopyThermo(long jarg1, RNA jarg1_, long jarg2, Thermodynamics jarg2_)`
    `static int` | `RNA_DetermineDrawingCoordinates__SWIG_0(long jarg1, RNA jarg1_, int jarg2, int jarg3, int jarg4)`
    `static int` | `RNA_DetermineDrawingCoordinates__SWIG_1(long jarg1, RNA jarg1_, int jarg2, int jarg3)`
    `static void` | `RNA_EnsureStructureCapcacity(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_FoldSingleStrand__SWIG_0(long jarg1, RNA jarg1_, float jarg2, int jarg3, int jarg4, java.lang.String jarg5, int jarg6, boolean jarg7, boolean jarg8, boolean jarg9)`
    `static int` | `RNA_FoldSingleStrand__SWIG_1(long jarg1, RNA jarg1_, float jarg2, int jarg3, int jarg4, java.lang.String jarg5, int jarg6, boolean jarg7, boolean jarg8)`
    `static int` | `RNA_FoldSingleStrand__SWIG_2(long jarg1, RNA jarg1_, float jarg2, int jarg3, int jarg4, java.lang.String jarg5, int jarg6, boolean jarg7)`
    `static int` | `RNA_FoldSingleStrand__SWIG_3(long jarg1, RNA jarg1_, float jarg2, int jarg3, int jarg4, java.lang.String jarg5, int jarg6)`
    `static int` | `RNA_FoldSingleStrand__SWIG_4(long jarg1, RNA jarg1_, float jarg2, int jarg3, int jarg4, java.lang.String jarg5)`
    `static int` | `RNA_FoldSingleStrand__SWIG_5(long jarg1, RNA jarg1_, float jarg2, int jarg3, int jarg4)`
    `static int` | `RNA_FoldSingleStrand__SWIG_6(long jarg1, RNA jarg1_, float jarg2, int jarg3)`
    `static int` | `RNA_FoldSingleStrand__SWIG_7(long jarg1, RNA jarg1_, float jarg2)`
    `static int` | `RNA_FoldSingleStrand__SWIG_8(long jarg1, RNA jarg1_)`
    `static int` | `RNA_ForceDoubleStranded(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_ForceFMNCleavage(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_ForceMaximumPairingDistance(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_ForceModification(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_ForcePair(long jarg1, RNA jarg1_, int jarg2, int jarg3)`
    `static int` | `RNA_ForceProhibitPair(long jarg1, RNA jarg1_, int jarg2, int jarg3)`
    `static int` | `RNA_ForceSingleStranded(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_GenerateAllSuboptimalStructures__SWIG_0(long jarg1, RNA jarg1_, float jarg2, double jarg3)`
    `static int` | `RNA_GenerateAllSuboptimalStructures__SWIG_1(long jarg1, RNA jarg1_, float jarg2)`
    `static int` | `RNA_GenerateAllSuboptimalStructures__SWIG_2(long jarg1, RNA jarg1_)`
    `static boolean` | `RNA_GetBackboneType(long jarg1, RNA jarg1_)`
    `static java.lang.String` | `RNA_GetCommentString__SWIG_0(long jarg1, RNA jarg1_, int jarg2)`
    `static java.lang.String` | `RNA_GetCommentString__SWIG_1(long jarg1, RNA jarg1_)`
    `static double` | `RNA_GetEnsembleDefect__SWIG_0(long jarg1, RNA jarg1_, int jarg2)`
    `static double` | `RNA_GetEnsembleDefect__SWIG_1(long jarg1, RNA jarg1_)`
    `static double` | `RNA_GetEnsembleEnergy(long jarg1, RNA jarg1_)`
    `static int` | `RNA_GetErrorCode(long jarg1, RNA jarg1_)`
    `static java.lang.String` | `RNA_GetErrorDetails(long jarg1, RNA jarg1_)`
    `static java.lang.String` | `RNA_GetErrorMessage(int jarg1)`
    `static int` | `RNA_GetForcedDoubleStranded(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_GetForcedFMNCleavage(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_GetForcedModification(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_GetForcedPair(long jarg1, RNA jarg1_, int jarg2, boolean jarg3)`
    `static int` | `RNA_GetForcedProhibitedPair(long jarg1, RNA jarg1_, int jarg2, boolean jarg3)`
    `static int` | `RNA_GetForcedSingleStranded(long jarg1, RNA jarg1_, int jarg2)`
    `static double` | `RNA_GetFreeEnergy(long jarg1, RNA jarg1_, int jarg2)`
    `static java.lang.String` | `RNA_GetFullErrorMessage(long jarg1, RNA jarg1_)`
    `static int` | `RNA_getIntAt(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_getInts(long jarg1, RNA jarg1_, int[] jarg2, int jarg3)`
    `static int` | `RNA_GetLabelXCoordinate(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_GetLabelYCoordinate(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_GetMaximumPairingDistance(long jarg1, RNA jarg1_)`
    `static char` | `RNA_GetNucleotide(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_GetNucleotideXCoordinate(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_GetNucleotideYCoordinate(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_GetNumberOfForcedDoubleStranded(long jarg1, RNA jarg1_)`
    `static int` | `RNA_GetNumberOfForcedFMNCleavages(long jarg1, RNA jarg1_)`
    `static int` | `RNA_GetNumberOfForcedModifications(long jarg1, RNA jarg1_)`
    `static int` | `RNA_GetNumberOfForcedPairs(long jarg1, RNA jarg1_)`
    `static int` | `RNA_GetNumberOfForcedProhibitedPairs(long jarg1, RNA jarg1_)`
    `static int` | `RNA_GetNumberOfForcedSingleStranded(long jarg1, RNA jarg1_)`
    `static int` | `RNA_GetPair__SWIG_0(long jarg1, RNA jarg1_, int jarg2, int jarg3)`
    `static int` | `RNA_GetPair__SWIG_1(long jarg1, RNA jarg1_, int jarg2)`
    `static double` | `RNA_GetPairEnergy(long jarg1, RNA jarg1_, int jarg2, int jarg3)`
    `static int` | `RNA_GetPairProbabilities(long jarg1, RNA jarg1_, double[] jarg2, int jarg3)`
    `static double` | `RNA_GetPairProbability(long jarg1, RNA jarg1_, int jarg2, int jarg3)`
    `static long` | `RNA_GetProgress(long jarg1, RNA jarg1_)`
    `static java.lang.String` | `RNA_GetSequence(long jarg1, RNA jarg1_)`
    `static int` | `RNA_GetSequenceLength(long jarg1, RNA jarg1_)`
    `static long` | `RNA_GetStructure(long jarg1, RNA jarg1_)`
    `static int` | `RNA_GetStructureNumber(long jarg1, RNA jarg1_)`
    `static void` | `RNA_initInts(long jarg1, RNA jarg1_)`
    `static int` | `RNA_MaximizeExpectedAccuracy__SWIG_0(long jarg1, RNA jarg1_, double jarg2, int jarg3, int jarg4, double jarg5)`
    `static int` | `RNA_MaximizeExpectedAccuracy__SWIG_1(long jarg1, RNA jarg1_, double jarg2, int jarg3, int jarg4)`
    `static int` | `RNA_MaximizeExpectedAccuracy__SWIG_2(long jarg1, RNA jarg1_, double jarg2, int jarg3)`
    `static int` | `RNA_MaximizeExpectedAccuracy__SWIG_3(long jarg1, RNA jarg1_, double jarg2)`
    `static int` | `RNA_MaximizeExpectedAccuracy__SWIG_4(long jarg1, RNA jarg1_)`
    `static int` | `RNA_PartitionFunction__SWIG_0(long jarg1, RNA jarg1_, java.lang.String jarg2, double jarg3, boolean jarg4, boolean jarg5)`
    `static int` | `RNA_PartitionFunction__SWIG_1(long jarg1, RNA jarg1_, java.lang.String jarg2, double jarg3, boolean jarg4)`
    `static int` | `RNA_PartitionFunction__SWIG_2(long jarg1, RNA jarg1_, java.lang.String jarg2, double jarg3)`
    `static int` | `RNA_PartitionFunction__SWIG_3(long jarg1, RNA jarg1_, java.lang.String jarg2)`
    `static int` | `RNA_PartitionFunction__SWIG_4(long jarg1, RNA jarg1_)`
    `static int` | `RNA_PredictProbablePairs__SWIG_0(long jarg1, RNA jarg1_, float jarg2)`
    `static int` | `RNA_PredictProbablePairs__SWIG_1(long jarg1, RNA jarg1_)`
    `static int` | `RNA_ProbKnot__SWIG_0(long jarg1, RNA jarg1_, int jarg2, int jarg3)`
    `static int` | `RNA_ProbKnot__SWIG_1(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_ProbKnot__SWIG_2(long jarg1, RNA jarg1_)`
    `static int` | `RNA_ProbKnotFromSample__SWIG_0(long jarg1, RNA jarg1_, int jarg2, int jarg3)`
    `static int` | `RNA_ProbKnotFromSample__SWIG_1(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_ProbKnotFromSample__SWIG_2(long jarg1, RNA jarg1_)`
    `static int` | `RNA_ReadConstraints(long jarg1, RNA jarg1_, java.lang.String jarg2)`
    `static int` | `RNA_ReadDMS(long jarg1, RNA jarg1_, java.lang.String jarg2)`
    `static int` | `RNA_ReadDSO(long jarg1, RNA jarg1_, java.lang.String jarg2)`
    `static int` | `RNA_ReadExperimentalPairBonus(long jarg1, RNA jarg1_, java.lang.String jarg2, double jarg3, double jarg4)`
    `static int` | `RNA_ReadSHAPE__SWIG_0(long jarg1, RNA jarg1_, java.lang.String jarg2, double jarg3, double jarg4, int jarg5, boolean jarg6)`
    `static int` | `RNA_ReadSHAPE__SWIG_1(long jarg1, RNA jarg1_, java.lang.String jarg2, double jarg3, double jarg4, int jarg5)`
    `static int` | `RNA_ReadSHAPE__SWIG_2(long jarg1, RNA jarg1_, java.lang.String jarg2, double jarg3, double jarg4)`
    `static int` | `RNA_ReadSHAPE__SWIG_3(long jarg1, RNA jarg1_, java.lang.String jarg2, double jarg3, double jarg4, double jarg5, double jarg6, int jarg7)`
    `static int` | `RNA_ReadSHAPE__SWIG_4(long jarg1, RNA jarg1_, java.lang.String jarg2, double jarg3, double jarg4, double jarg5, double jarg6)`
    `static int` | `RNA_ReadSSO(long jarg1, RNA jarg1_, java.lang.String jarg2)`
    `static int` | `RNA_ReFoldSingleStrand__SWIG_0(long jarg1, RNA jarg1_, float jarg2, int jarg3, int jarg4)`
    `static int` | `RNA_ReFoldSingleStrand__SWIG_1(long jarg1, RNA jarg1_, float jarg2, int jarg3)`
    `static int` | `RNA_ReFoldSingleStrand__SWIG_2(long jarg1, RNA jarg1_, float jarg2)`
    `static int` | `RNA_ReFoldSingleStrand__SWIG_3(long jarg1, RNA jarg1_)`
    `static int` | `RNA_RemoveBasePair__SWIG_0(long jarg1, RNA jarg1_, int jarg2, int jarg3)`
    `static int` | `RNA_RemoveBasePair__SWIG_1(long jarg1, RNA jarg1_, int jarg2)`
    `static void` | `RNA_RemoveConstraints(long jarg1, RNA jarg1_)`
    `static int` | `RNA_RemovePairs__SWIG_0(long jarg1, RNA jarg1_, int jarg2, boolean jarg3)`
    `static int` | `RNA_RemovePairs__SWIG_1(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_RemovePairs__SWIG_2(long jarg1, RNA jarg1_)`
    `static void` | `RNA_ResetError(long jarg1, RNA jarg1_)`
    `static void` | `RNA_SetErrorDetails(long jarg1, RNA jarg1_, java.lang.String jarg2)`
    `static int` | `RNA_SetExtrinsic(long jarg1, RNA jarg1_, int jarg2, int jarg3, double jarg4)`
    `static void` | `RNA_SetProgress(long jarg1, RNA jarg1_, long jarg2, ProgressHandler jarg2_)`
    `static int` | `RNA_SpecifyPair__SWIG_0(long jarg1, RNA jarg1_, int jarg2, int jarg3, int jarg4)`
    `static int` | `RNA_SpecifyPair__SWIG_1(long jarg1, RNA jarg1_, int jarg2, int jarg3)`
    `static int` | `RNA_Stochastic__SWIG_0(long jarg1, RNA jarg1_, int jarg2, int jarg3)`
    `static int` | `RNA_Stochastic__SWIG_1(long jarg1, RNA jarg1_, int jarg2)`
    `static int` | `RNA_Stochastic__SWIG_2(long jarg1, RNA jarg1_)`
    `static void` | `RNA_StopProgress(long jarg1, RNA jarg1_)`
    `static long` | `RNA_SWIGUpcast(long jarg1)`
    `static int` | `RNA_WriteConstraints(long jarg1, RNA jarg1_, java.lang.String jarg2)`
    `static int` | `RNA_WriteCt(long jarg1, RNA jarg1_, java.lang.String jarg2)`
    `static int` | `RNA_WriteDotBracket__SWIG_0(long jarg1, RNA jarg1_, java.lang.String jarg2, int jarg3, int jarg4)`
    `static int` | `RNA_WriteDotBracket__SWIG_1(long jarg1, RNA jarg1_, java.lang.String jarg2, int jarg3)`
    `static int` | `RNA_WriteDotBracket__SWIG_2(long jarg1, RNA jarg1_, java.lang.String jarg2)`
    `static int` | `RNA_WriteThermodynamicDetails__SWIG_0(long jarg1, RNA jarg1_, java.lang.String jarg2, boolean jarg3)`
    `static int` | `RNA_WriteThermodynamicDetails__SWIG_1(long jarg1, RNA jarg1_, java.lang.String jarg2)`
    `static int` | `SEQUENCE_STRING_get()`
    `static void` | `setDataPath(java.lang.String jarg1)`
    `static long` | `SimpleProgressHandler_SWIGUpcast(long jarg1)`
    `static java.lang.String` | `singlestructure_ctlabel_get(long jarg1, singlestructure jarg1_)`
    `static void` | `singlestructure_ctlabel_set(long jarg1, singlestructure jarg1_, java.lang.String jarg2)`
    `static int` | `singlestructure_energy_get(long jarg1, singlestructure jarg1_)`
    `static void` | `singlestructure_energy_set(long jarg1, singlestructure jarg1_, int jarg2)`
    `static int` | `singlestructure_getBasePair(long jarg1, singlestructure jarg1_, int jarg2)`
    `static int` | `singlestructure_getSequenceLength(long jarg1, singlestructure jarg1_)`
    `static void` | `singlestructure_setBasePair(long jarg1, singlestructure jarg1_, int jarg2, int jarg3)`
    `static void` | `singlestructure_setSequenceLength(long jarg1, singlestructure jarg1_, int jarg2)`
    `static void` | `structure_AddDouble(long jarg1, structure jarg1_, int jarg2)`
    `static void` | `structure_AddForbiddenPair(long jarg1, structure jarg1_, int jarg2, int jarg3)`
    `static void` | `structure_AddGUPair(long jarg1, structure jarg1_, int jarg2)`
    `static void` | `structure_AddModified(long jarg1, structure jarg1_, int jarg2)`
    `static void` | `structure_AddPair(long jarg1, structure jarg1_, int jarg2, int jarg3)`
    `static void` | `structure_AddSingle(long jarg1, structure jarg1_, int jarg2)`
    `static void` | `structure_AddStructure(long jarg1, structure jarg1_)`
    `static void` | `structure_allocateconstant(long jarg1, structure jarg1_)`
    `static void` | `structure_AllocateSHAPE(long jarg1, structure jarg1_)`
    `static void` | `structure_allocatetem(long jarg1, structure jarg1_)`
    `static void` | `structure_BreakPseudoknots(long jarg1, structure jarg1_, int jarg2)`
    `static void` | `structure_CleanStructure(long jarg1, structure jarg1_, int jarg2)`
    `static int` | `structure_ctout(long jarg1, structure jarg1_, java.lang.String jarg2)`
    `static void` | `structure_DeleteSHAPE(long jarg1, structure jarg1_)`
    `static boolean` | `structure_DistanceLimited(long jarg1, structure jarg1_)`
    `static void` | `structure_FindPseudoknots__SWIG_0(long jarg1, structure jarg1_, int jarg2, long jarg3, CIntVector jarg3_, long jarg4, CIntVector jarg4_)`
    `static void` | `structure_FindPseudoknots__SWIG_1(long jarg1, structure jarg1_, int jarg2, long jarg3, CIntVector jarg3_)`
    `static void` | `structure_FindPseudoknots__SWIG_2(long jarg1, structure jarg1_, int jarg2)`
    `static int` | `structure_GetBase(long jarg1, structure jarg1_, int jarg2)`
    `static java.lang.String` | `structure_GetCtLabel(long jarg1, structure jarg1_, int jarg2)`
    `static int` | `structure_GetDouble(long jarg1, structure jarg1_, int jarg2)`
    `static int` | `structure_GetEnergy(long jarg1, structure jarg1_, int jarg2)`
    `static java.lang.String` | `structure_GetErrorDetails(long jarg1, structure jarg1_)`
    `static int` | `structure_GetForbiddenPair3(long jarg1, structure jarg1_, int jarg2)`
    `static int` | `structure_GetForbiddenPair5(long jarg1, structure jarg1_, int jarg2)`
    `static int` | `structure_GetGUpair(long jarg1, structure jarg1_, int jarg2)`
    `static int` | `structure_GetModified(long jarg1, structure jarg1_, int jarg2)`
    `static int` | `structure_GetNumberofDoubles(long jarg1, structure jarg1_)`
    `static int` | `structure_GetNumberofForbiddenPairs(long jarg1, structure jarg1_)`
    `static int` | `structure_GetNumberofGU(long jarg1, structure jarg1_)`
    `static int` | `structure_GetNumberofModified(long jarg1, structure jarg1_)`
    `static int` | `structure_GetNumberofPairs(long jarg1, structure jarg1_)`
    `static int` | `structure_GetNumberofSingles(long jarg1, structure jarg1_)`
    `static int` | `structure_GetNumberofStructures(long jarg1, structure jarg1_)`
    `static int` | `structure_GetPair__SWIG_0(long jarg1, structure jarg1_, int jarg2, int jarg3)`
    `static int` | `structure_GetPair__SWIG_1(long jarg1, structure jarg1_, int jarg2)`
    `static int` | `structure_GetPair3(long jarg1, structure jarg1_, int jarg2)`
    `static int` | `structure_GetPair5(long jarg1, structure jarg1_, int jarg2)`
    `static int` | `structure_GetPairingDistanceLimit(long jarg1, structure jarg1_)`
    `static void` | `structure_GetPseudoknotRanks__SWIG_0(long jarg1, structure jarg1_, long jarg2, CIntVector jarg2_, int jarg3)`
    `static void` | `structure_GetPseudoknotRanks__SWIG_1(long jarg1, structure jarg1_, long jarg2, CIntVector jarg2_)`
    `static java.lang.String` | `structure_GetSequence(long jarg1, structure jarg1_)`
    `static java.lang.String` | `structure_GetSequenceLabel(long jarg1, structure jarg1_)`
    `static int` | `structure_GetSequenceLength(long jarg1, structure jarg1_)`
    `static int` | `structure_GetSingle(long jarg1, structure jarg1_, int jarg2)`
    `static long` | `structure_GetThermodynamicDataTable(long jarg1, structure jarg1_)`
    `static boolean` | `structure_HasPseudoknots__SWIG_0(long jarg1, structure jarg1_, int jarg2)`
    `static boolean` | `structure_HasPseudoknots__SWIG_1(long jarg1, structure jarg1_)`
    `static boolean` | `structure_IsAlphabetLoaded(long jarg1, structure jarg1_)`
    `static boolean` | `structure_IsNuc__SWIG_0(long jarg1, structure jarg1_, int jarg2, char jarg3)`
    `static boolean` | `structure_IsNuc__SWIG_1(long jarg1, structure jarg1_, int jarg2, char jarg3, long jarg4, datatable jarg4_)`
    `static boolean` | `structure_IsThermoDataLoaded(long jarg1, structure jarg1_)`
    `static double` | `structure_kT_get()`
    `static int` | `structure_openct(long jarg1, structure jarg1_, java.lang.String jarg2)`
    `static int` | `structure_opendbn(long jarg1, structure jarg1_, java.lang.String jarg2)`
    `static int` | `structure_openseq(long jarg1, structure jarg1_, java.lang.String jarg2)`
    `static int` | `structure_openseqx(long jarg1, structure jarg1_, java.lang.String jarg2)`
    `static boolean` | `structure_ProblemwithStructures(long jarg1, structure jarg1_)`
    `static int` | `structure_ReadExperimentalPairBonus__SWIG_0(long jarg1, structure jarg1_, java.lang.String jarg2, double jarg3, double jarg4)`
    `static int` | `structure_ReadExperimentalPairBonus__SWIG_1(long jarg1, structure jarg1_, java.lang.String jarg2, double jarg3)`
    `static int` | `structure_ReadExperimentalPairBonus__SWIG_2(long jarg1, structure jarg1_, java.lang.String jarg2)`
    `static int` | `structure_ReadOffset(long jarg1, structure jarg1_, java.lang.String jarg2, java.lang.String jarg3)`
    `static int` | `structure_ReadSHAPE__SWIG_0(long jarg1, structure jarg1_, java.lang.String jarg2, float jarg3, float jarg4)`
    `static int` | `structure_ReadSHAPE__SWIG_1(long jarg1, structure jarg1_, java.lang.String jarg2, int jarg3, boolean jarg4)`
    `static int` | `structure_ReadSHAPE__SWIG_2(long jarg1, structure jarg1_, java.lang.String jarg2, int jarg3)`
    `static int` | `structure_ReadSHAPE__SWIG_3(long jarg1, structure jarg1_, java.lang.String jarg2)`
    `static void` | `structure_RemoveAllStructures(long jarg1, structure jarg1_)`
    `static void` | `structure_RemoveConstraints(long jarg1, structure jarg1_)`
    `static void` | `structure_RemoveEnergyLabels__SWIG_0(long jarg1, structure jarg1_, java.lang.String jarg2)`
    `static void` | `structure_RemoveEnergyLabels__SWIG_1(long jarg1, structure jarg1_)`
    `static void` | `structure_RemoveLastStructure(long jarg1, structure jarg1_)`
    `static void` | `structure_RemovePair__SWIG_0(long jarg1, structure jarg1_, int jarg2, int jarg3)`
    `static void` | `structure_RemovePair__SWIG_1(long jarg1, structure jarg1_, int jarg2)`
    `static void` | `structure_RemoveStructure(long jarg1, structure jarg1_, int jarg2)`
    `static void` | `structure_SetCtLabel(long jarg1, structure jarg1_, java.lang.String jarg2, int jarg3)`
    `static void` | `structure_SetEnergy(long jarg1, structure jarg1_, int jarg2, int jarg3)`
    `static void` | `structure_SetPair__SWIG_0(long jarg1, structure jarg1_, int jarg2, int jarg3, int jarg4)`
    `static void` | `structure_SetPair__SWIG_1(long jarg1, structure jarg1_, int jarg2, int jarg3)`
    `static void` | `structure_SetPairingDistance(long jarg1, structure jarg1_, int jarg2)`
    `static int` | `structure_SetSequence(long jarg1, structure jarg1_, java.lang.String jarg2)`
    `static void` | `structure_SetSequenceLabel(long jarg1, structure jarg1_, java.lang.String jarg2)`
    `static void` | `structure_SetThermodynamicDataTable(long jarg1, structure jarg1_, long jarg2, datatable jarg2_)`
    `static boolean` | `structure_SHAPEFileRead_get(long jarg1, structure jarg1_)`
    `static void` | `structure_SHAPEFileRead_set(long jarg1, structure jarg1_, boolean jarg2)`
    `static int` | `structure_ShowWarnings_get()`
    `static void` | `structure_ShowWarnings_set(int jarg1)`
    `static void` | `structure_sort(long jarg1, structure jarg1_)`
    `static boolean` | `structure_SumShapeRepeats_get()`
    `static void` | `structure_SumShapeRepeats_set(boolean jarg1)`
    `static int` | `structure_writedotbracket__SWIG_0(long jarg1, structure jarg1_, java.lang.String jarg2, int jarg3, int jarg4)`
    `static int` | `structure_writedotbracket__SWIG_1(long jarg1, structure jarg1_, java.lang.String jarg2, int jarg3)`
    `static int` | `structure_writedotbracket__SWIG_2(long jarg1, structure jarg1_, java.lang.String jarg2)`
    `static int` | `structure_writeseq__SWIG_0(long jarg1, structure jarg1_, java.lang.String jarg2, int jarg3, boolean jarg4)`
    `static int` | `structure_writeseq__SWIG_1(long jarg1, structure jarg1_, java.lang.String jarg2, int jarg3)`
    `static int` | `structure_writeseq__SWIG_2(long jarg1, structure jarg1_, java.lang.String jarg2)`
    `static int` | `structure_WriteSHAPE__SWIG_0(long jarg1, structure jarg1_, java.lang.String jarg2, boolean jarg3)`
    `static int` | `structure_WriteSHAPE__SWIG_1(long jarg1, structure jarg1_, java.lang.String jarg2)`
    `static void` | `Thermodynamics_ClearEnergies(long jarg1, Thermodynamics jarg1_)`
    `static void` | `Thermodynamics_ClearEnthalpies(long jarg1, Thermodynamics jarg1_)`
    `static java.lang.String` | `Thermodynamics_GetAlphabetName(long jarg1, Thermodynamics jarg1_)`
    `static long` | `Thermodynamics_GetDatatable(long jarg1, Thermodynamics jarg1_)`
    `static boolean` | `Thermodynamics_GetEnergyRead(long jarg1, Thermodynamics jarg1_)`
    `static long` | `Thermodynamics_GetEnthalpyTable__SWIG_0(long jarg1, Thermodynamics jarg1_, java.lang.String jarg2)`
    `static long` | `Thermodynamics_GetEnthalpyTable__SWIG_1(long jarg1, Thermodynamics jarg1_)`
    `static double` | `Thermodynamics_GetTemperature(long jarg1, Thermodynamics jarg1_)`
    `static boolean` | `Thermodynamics_IsAlphabetRead(long jarg1, Thermodynamics jarg1_)`
    `static boolean` | `Thermodynamics_isrna_get(long jarg1, Thermodynamics jarg1_)`
    `static void` | `Thermodynamics_isrna_set(long jarg1, Thermodynamics jarg1_, boolean jarg2)`
    `static int` | `Thermodynamics_ReadThermodynamic__SWIG_0(long jarg1, Thermodynamics jarg1_, java.lang.String jarg2, java.lang.String jarg3, double jarg4)`
    `static int` | `Thermodynamics_ReadThermodynamic__SWIG_1(long jarg1, Thermodynamics jarg1_, java.lang.String jarg2, java.lang.String jarg3)`
    `static int` | `Thermodynamics_ReadThermodynamic__SWIG_2(long jarg1, Thermodynamics jarg1_, java.lang.String jarg2)`
    `static int` | `Thermodynamics_ReadThermodynamic__SWIG_3(long jarg1, Thermodynamics jarg1_)`
    `static int` | `Thermodynamics_ReloadDataTables__SWIG_0(long jarg1, Thermodynamics jarg1_, double jarg2)`
    `static int` | `Thermodynamics_ReloadDataTables__SWIG_1(long jarg1, Thermodynamics jarg1_)`
    `static int` | `Thermodynamics_SetTemperature(long jarg1, Thermodynamics jarg1_, double jarg2)`
    `static boolean` | `Thermodynamics_VerifyThermodynamic(long jarg1, Thermodynamics jarg1_)`
    `static long` | `TProgressDialog_SWIGUpcast(long jarg1)`
    `static void` | `TProgressDialog_update(long jarg1, TProgressDialog jarg1_, int jarg2)`
    `static java.lang.String` | `TwoRNA_compoundmessage_get(long jarg1, TwoRNA jarg1_)`
    `static void` | `TwoRNA_compoundmessage_set(long jarg1, TwoRNA jarg1_, java.lang.String jarg2)`
    `static int` | `TwoRNA_GetErrorCode(long jarg1, TwoRNA jarg1_)`
    `static java.lang.String` | `TwoRNA_GetErrorDetails(long jarg1, TwoRNA jarg1_)`
    `static java.lang.String` | `TwoRNA_GetErrorMessage(long jarg1, TwoRNA jarg1_, int jarg2)`
    `static java.lang.String` | `TwoRNA_GetErrorMessageString(long jarg1, TwoRNA jarg1_, int jarg2)`
    `static long` | `TwoRNA_GetRNA1(long jarg1, TwoRNA jarg1_)`
    `static long` | `TwoRNA_GetRNA2(long jarg1, TwoRNA jarg1_)`
    `static double` | `TwoRNA_GetTemperature(long jarg1, TwoRNA jarg1_)`
    `static void` | `TwoRNA_ResetError(long jarg1, TwoRNA jarg1_)`
    `static void` | `TwoRNA_SetErrorDetails(long jarg1, TwoRNA jarg1_, java.lang.String jarg2)`
    `static int` | `TwoRNA_SetTemperature(long jarg1, TwoRNA jarg1_, double jarg2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RNABackendJNI

          public RNABackendJNI()

  - ### Method Detail

    - #### CDblVector_add

          public static final void CDblVector_add(long jarg1,
                                                  CDblVector jarg1_,
                                                  double jarg2)

    - #### CDblVector_capacity

          public static final long CDblVector_capacity(long jarg1,
                                                       CDblVector jarg1_)

    - #### CDblVector_clear

          public static final void CDblVector_clear(long jarg1,
                                                    CDblVector jarg1_)

    - #### CDblVector_get

          public static final double CDblVector_get(long jarg1,
                                                    CDblVector jarg1_,
                                                    int jarg2)

    - #### CDblVector_isEmpty

          public static final boolean CDblVector_isEmpty(long jarg1,
                                                         CDblVector jarg1_)

    - #### CDblVector_reserve

          public static final void CDblVector_reserve(long jarg1,
                                                      CDblVector jarg1_,
                                                      long jarg2)

    - #### CDblVector_set

          public static final void CDblVector_set(long jarg1,
                                                  CDblVector jarg1_,
                                                  int jarg2,
                                                  double jarg3)

    - #### CDblVector_size

          public static final long CDblVector_size(long jarg1,
                                                   CDblVector jarg1_)

    - #### CIntVector_add

          public static final void CIntVector_add(long jarg1,
                                                  CIntVector jarg1_,
                                                  int jarg2)

    - #### CIntVector_capacity

          public static final long CIntVector_capacity(long jarg1,
                                                       CIntVector jarg1_)

    - #### CIntVector_clear

          public static final void CIntVector_clear(long jarg1,
                                                    CIntVector jarg1_)

    - #### CIntVector_get

          public static final int CIntVector_get(long jarg1,
                                                 CIntVector jarg1_,
                                                 int jarg2)

    - #### CIntVector_isEmpty

          public static final boolean CIntVector_isEmpty(long jarg1,
                                                         CIntVector jarg1_)

    - #### CIntVector_reserve

          public static final void CIntVector_reserve(long jarg1,
                                                      CIntVector jarg1_,
                                                      long jarg2)

    - #### CIntVector_set

          public static final void CIntVector_set(long jarg1,
                                                  CIntVector jarg1_,
                                                  int jarg2,
                                                  int jarg3)

    - #### CIntVector_size

          public static final long CIntVector_size(long jarg1,
                                                   CIntVector jarg1_)

    - #### COMPOUNDMESSAGELENGTH_get

          public static final int COMPOUNDMESSAGELENGTH_get()

    - #### DBN_BIT_MULTI_SEQ_get

          public static final int DBN_BIT_MULTI_SEQ_get()

    - #### DBN_BIT_MULTI_TITLE_get

          public static final int DBN_BIT_MULTI_TITLE_get()

    - #### DBN_BIT_SEQ_LABEL_get

          public static final int DBN_BIT_SEQ_LABEL_get()

    - #### DBN_BIT_SIDE_TITLES_get

          public static final int DBN_BIT_SIDE_TITLES_get()

    - #### DBN_FMT_MULTI_TITLE_AND_SEQ_get

          public static final int DBN_FMT_MULTI_TITLE_AND_SEQ_get()

    - #### DBN_FMT_MULTI_TITLE_get

          public static final int DBN_FMT_MULTI_TITLE_get()

    - #### DBN_FMT_SIDE_TITLES_get

          public static final int DBN_FMT_SIDE_TITLES_get()

    - #### DBN_FMT_SINGLE_TITLE_get

          public static final int DBN_FMT_SINGLE_TITLE_get()

    - #### DEFAULT_SHAPE_INTERCEPT_get

          public static final double DEFAULT_SHAPE_INTERCEPT_get()

    - #### DEFAULT_SHAPE_SLOPE_get

          public static final double DEFAULT_SHAPE_SLOPE_get()

    - #### delete_CDblVector

          public static final void delete_CDblVector(long jarg1)

    - #### delete_CIntVector

          public static final void delete_CIntVector(long jarg1)

    - #### delete_datatable

          public static final void delete_datatable(long jarg1)

    - #### delete_Dynalign_object

          public static final void delete_Dynalign_object(long jarg1)

    - #### delete_HybridRNA

          public static final void delete_HybridRNA(long jarg1)

    - #### delete_PartialProgress

          public static final void delete_PartialProgress(long jarg1)

    - #### delete_ProgressHandler

          public static final void delete_ProgressHandler(long jarg1)

    - #### delete_RNA

          public static final void delete_RNA(long jarg1)

    - #### delete_SimpleProgressHandler

          public static final void delete_SimpleProgressHandler(long jarg1)

    - #### delete_singlestructure

          public static final void delete_singlestructure(long jarg1)

    - #### delete_structure

          public static final void delete_structure(long jarg1)

    - #### delete_Thermodynamics

          public static final void delete_Thermodynamics(long jarg1)

    - #### delete_TProgressDialog

          public static final void delete_TProgressDialog(long jarg1)

    - #### delete_TwoRNA

          public static final void delete_TwoRNA(long jarg1)

    - #### Dynalign_object_Dynalign__SWIG_0

          public static final int Dynalign_object_Dynalign__SWIG_0(long jarg1,
                                                                   Dynalign_object jarg1_,
                                                                   short jarg2,
                                                                   short jarg3,
                                                                   short jarg4,
                                                                   short jarg5,
                                                                   short jarg6,
                                                                   float jarg7,
                                                                   boolean jarg8,
                                                                   java.lang.String jarg9,
                                                                   boolean jarg10,
                                                                   short jarg11,
                                                                   boolean jarg12,
                                                                   short jarg13,
                                                                   int jarg14)

    - #### Dynalign_object_Dynalign__SWIG_1

          public static final int Dynalign_object_Dynalign__SWIG_1(long jarg1,
                                                                   Dynalign_object jarg1_,
                                                                   short jarg2,
                                                                   short jarg3,
                                                                   short jarg4,
                                                                   short jarg5,
                                                                   short jarg6,
                                                                   float jarg7,
                                                                   boolean jarg8,
                                                                   java.lang.String jarg9,
                                                                   boolean jarg10,
                                                                   short jarg11,
                                                                   boolean jarg12,
                                                                   short jarg13)

    - #### Dynalign_object_Dynalign__SWIG_10

          public static final int Dynalign_object_Dynalign__SWIG_10(long jarg1,
                                                                    Dynalign_object jarg1_,
                                                                    short jarg2,
                                                                    short jarg3,
                                                                    short jarg4)

    - #### Dynalign_object_Dynalign__SWIG_11

          public static final int Dynalign_object_Dynalign__SWIG_11(long jarg1,
                                                                    Dynalign_object jarg1_,
                                                                    short jarg2,
                                                                    short jarg3)

    - #### Dynalign_object_Dynalign__SWIG_12

          public static final int Dynalign_object_Dynalign__SWIG_12(long jarg1,
                                                                    Dynalign_object jarg1_,
                                                                    short jarg2)

    - #### Dynalign_object_Dynalign__SWIG_13

          public static final int Dynalign_object_Dynalign__SWIG_13(long jarg1,
                                                                    Dynalign_object jarg1_)

    - #### Dynalign_object_Dynalign__SWIG_2

          public static final int Dynalign_object_Dynalign__SWIG_2(long jarg1,
                                                                   Dynalign_object jarg1_,
                                                                   short jarg2,
                                                                   short jarg3,
                                                                   short jarg4,
                                                                   short jarg5,
                                                                   short jarg6,
                                                                   float jarg7,
                                                                   boolean jarg8,
                                                                   java.lang.String jarg9,
                                                                   boolean jarg10,
                                                                   short jarg11,
                                                                   boolean jarg12)

    - #### Dynalign_object_Dynalign__SWIG_3

          public static final int Dynalign_object_Dynalign__SWIG_3(long jarg1,
                                                                   Dynalign_object jarg1_,
                                                                   short jarg2,
                                                                   short jarg3,
                                                                   short jarg4,
                                                                   short jarg5,
                                                                   short jarg6,
                                                                   float jarg7,
                                                                   boolean jarg8,
                                                                   java.lang.String jarg9,
                                                                   boolean jarg10,
                                                                   short jarg11)

    - #### Dynalign_object_Dynalign__SWIG_4

          public static final int Dynalign_object_Dynalign__SWIG_4(long jarg1,
                                                                   Dynalign_object jarg1_,
                                                                   short jarg2,
                                                                   short jarg3,
                                                                   short jarg4,
                                                                   short jarg5,
                                                                   short jarg6,
                                                                   float jarg7,
                                                                   boolean jarg8,
                                                                   java.lang.String jarg9,
                                                                   boolean jarg10)

    - #### Dynalign_object_Dynalign__SWIG_5

          public static final int Dynalign_object_Dynalign__SWIG_5(long jarg1,
                                                                   Dynalign_object jarg1_,
                                                                   short jarg2,
                                                                   short jarg3,
                                                                   short jarg4,
                                                                   short jarg5,
                                                                   short jarg6,
                                                                   float jarg7,
                                                                   boolean jarg8,
                                                                   java.lang.String jarg9)

    - #### Dynalign_object_Dynalign__SWIG_6

          public static final int Dynalign_object_Dynalign__SWIG_6(long jarg1,
                                                                   Dynalign_object jarg1_,
                                                                   short jarg2,
                                                                   short jarg3,
                                                                   short jarg4,
                                                                   short jarg5,
                                                                   short jarg6,
                                                                   float jarg7,
                                                                   boolean jarg8)

    - #### Dynalign_object_Dynalign__SWIG_7

          public static final int Dynalign_object_Dynalign__SWIG_7(long jarg1,
                                                                   Dynalign_object jarg1_,
                                                                   short jarg2,
                                                                   short jarg3,
                                                                   short jarg4,
                                                                   short jarg5,
                                                                   short jarg6,
                                                                   float jarg7)

    - #### Dynalign_object_Dynalign__SWIG_8

          public static final int Dynalign_object_Dynalign__SWIG_8(long jarg1,
                                                                   Dynalign_object jarg1_,
                                                                   short jarg2,
                                                                   short jarg3,
                                                                   short jarg4,
                                                                   short jarg5,
                                                                   short jarg6)

    - #### Dynalign_object_Dynalign__SWIG_9

          public static final int Dynalign_object_Dynalign__SWIG_9(long jarg1,
                                                                   Dynalign_object jarg1_,
                                                                   short jarg2,
                                                                   short jarg3,
                                                                   short jarg4,
                                                                   short jarg5)

    - #### Dynalign_object_ForceAlignment

          public static final int Dynalign_object_ForceAlignment(long jarg1,
                                                                 Dynalign_object jarg1_,
                                                                 int jarg2,
                                                                 int jarg3)

    - #### Dynalign_object_GetBestPairEnergy

          public static final double Dynalign_object_GetBestPairEnergy(long jarg1,
                                                                       Dynalign_object jarg1_,
                                                                       int jarg2,
                                                                       int jarg3,
                                                                       int jarg4)

    - #### Dynalign_object_GetErrorMessage

          public static final java.lang.String Dynalign_object_GetErrorMessage(long jarg1,
                                                                               Dynalign_object jarg1_,
                                                                               int jarg2)

    - #### Dynalign_object_GetForcedAlignment

          public static final int Dynalign_object_GetForcedAlignment(long jarg1,
                                                                     Dynalign_object jarg1_,
                                                                     int jarg2,
                                                                     int jarg3)

    - #### Dynalign_object_GetLowestEnergy

          public static final double Dynalign_object_GetLowestEnergy(long jarg1,
                                                                     Dynalign_object jarg1_)

    - #### Dynalign_object_ReadAlignmentConstraints

          public static final int Dynalign_object_ReadAlignmentConstraints(long jarg1,
                                                                           Dynalign_object jarg1_,
                                                                           java.lang.String jarg2)

    - #### Dynalign_object_SetProgress

          public static final void Dynalign_object_SetProgress(long jarg1,
                                                               Dynalign_object jarg1_,
                                                               long jarg2,
                                                               ProgressHandler jarg2_)

    - #### Dynalign_object_StopProgress

          public static final void Dynalign_object_StopProgress(long jarg1,
                                                                Dynalign_object jarg1_)

    - #### Dynalign_object_SWIGUpcast

          public static final long Dynalign_object_SWIGUpcast(long jarg1)

    - #### Dynalign_object_Templatefromct

          public static final int Dynalign_object_Templatefromct(long jarg1,
                                                                 Dynalign_object jarg1_,
                                                                 java.lang.String jarg2)

    - #### Dynalign_object_Templatefromdsv

          public static final int Dynalign_object_Templatefromdsv(long jarg1,
                                                                  Dynalign_object jarg1_,
                                                                  java.lang.String jarg2,
                                                                  float jarg3)

    - #### Dynalign_object_WriteAlignment

          public static final void Dynalign_object_WriteAlignment(long jarg1,
                                                                  Dynalign_object jarg1_,
                                                                  java.lang.String jarg2)

    - #### FILE_CT_get

          public static final int FILE_CT_get()

    - #### FILE_DBN_get

          public static final int FILE_DBN_get()

    - #### FILE_PFS_get

          public static final int FILE_PFS_get()

    - #### FILE_SAV_get

          public static final int FILE_SAV_get()

    - #### FILE_SEQ_get

          public static final int FILE_SEQ_get()

    - #### findPseudoknots__SWIG_0

          public static final void findPseudoknots__SWIG_0(long jarg1,
                                                           CIntVector jarg1_,
                                                           long jarg2,
                                                           CIntVector jarg2_,
                                                           long jarg3,
                                                           CIntVector jarg3_)

    - #### findPseudoknots__SWIG_1

          public static final void findPseudoknots__SWIG_1(long jarg1,
                                                           CIntVector jarg1_,
                                                           long jarg2,
                                                           CIntVector jarg2_)

    - #### findPseudoknots__SWIG_2

          public static final void findPseudoknots__SWIG_2(long jarg1,
                                                           CIntVector jarg1_)

    - #### getDataPath__SWIG_0

          public static final java.lang.String getDataPath__SWIG_0(java.lang.String jarg1)

    - #### getDataPath__SWIG_1

          public static final java.lang.String getDataPath__SWIG_1()

    - #### hasPseudoknots

          public static final boolean hasPseudoknots(long jarg1,
                                                     CIntVector jarg1_)

    - #### HybridRNA_AccessFold__SWIG_0

          public static final int HybridRNA_AccessFold__SWIG_0(long jarg1,
                                                               HybridRNA jarg1_,
                                                               double jarg2,
                                                               float jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6)

    - #### HybridRNA_AccessFold__SWIG_1

          public static final int HybridRNA_AccessFold__SWIG_1(long jarg1,
                                                               HybridRNA jarg1_,
                                                               double jarg2,
                                                               float jarg3,
                                                               int jarg4,
                                                               int jarg5)

    - #### HybridRNA_AccessFold__SWIG_2

          public static final int HybridRNA_AccessFold__SWIG_2(long jarg1,
                                                               HybridRNA jarg1_,
                                                               double jarg2,
                                                               float jarg3,
                                                               int jarg4)

    - #### HybridRNA_AccessFold__SWIG_3

          public static final int HybridRNA_AccessFold__SWIG_3(long jarg1,
                                                               HybridRNA jarg1_,
                                                               double jarg2,
                                                               float jarg3)

    - #### HybridRNA_AccessFold__SWIG_4

          public static final int HybridRNA_AccessFold__SWIG_4(long jarg1,
                                                               HybridRNA jarg1_,
                                                               double jarg2)

    - #### HybridRNA_AccessFold__SWIG_5

          public static final int HybridRNA_AccessFold__SWIG_5(long jarg1,
                                                               HybridRNA jarg1_)

    - #### HybridRNA_FoldBimolecular__SWIG_0

          public static final int HybridRNA_FoldBimolecular__SWIG_0(long jarg1,
                                                                    HybridRNA jarg1_,
                                                                    float jarg2,
                                                                    int jarg3,
                                                                    int jarg4,
                                                                    java.lang.String jarg5,
                                                                    int jarg6)

    - #### HybridRNA_FoldBimolecular__SWIG_1

          public static final int HybridRNA_FoldBimolecular__SWIG_1(long jarg1,
                                                                    HybridRNA jarg1_,
                                                                    float jarg2,
                                                                    int jarg3,
                                                                    int jarg4,
                                                                    java.lang.String jarg5)

    - #### HybridRNA_FoldBimolecular__SWIG_2

          public static final int HybridRNA_FoldBimolecular__SWIG_2(long jarg1,
                                                                    HybridRNA jarg1_,
                                                                    float jarg2,
                                                                    int jarg3,
                                                                    int jarg4)

    - #### HybridRNA_FoldBimolecular__SWIG_3

          public static final int HybridRNA_FoldBimolecular__SWIG_3(long jarg1,
                                                                    HybridRNA jarg1_,
                                                                    float jarg2,
                                                                    int jarg3)

    - #### HybridRNA_FoldBimolecular__SWIG_4

          public static final int HybridRNA_FoldBimolecular__SWIG_4(long jarg1,
                                                                    HybridRNA jarg1_,
                                                                    float jarg2)

    - #### HybridRNA_FoldBimolecular__SWIG_5

          public static final int HybridRNA_FoldBimolecular__SWIG_5(long jarg1,
                                                                    HybridRNA jarg1_)

    - #### HybridRNA_FoldDuplex__SWIG_0

          public static final int HybridRNA_FoldDuplex__SWIG_0(long jarg1,
                                                               HybridRNA jarg1_,
                                                               float jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5)

    - #### HybridRNA_FoldDuplex__SWIG_1

          public static final int HybridRNA_FoldDuplex__SWIG_1(long jarg1,
                                                               HybridRNA jarg1_,
                                                               float jarg2,
                                                               int jarg3,
                                                               int jarg4)

    - #### HybridRNA_FoldDuplex__SWIG_2

          public static final int HybridRNA_FoldDuplex__SWIG_2(long jarg1,
                                                               HybridRNA jarg1_,
                                                               float jarg2,
                                                               int jarg3)

    - #### HybridRNA_FoldDuplex__SWIG_3

          public static final int HybridRNA_FoldDuplex__SWIG_3(long jarg1,
                                                               HybridRNA jarg1_,
                                                               float jarg2)

    - #### HybridRNA_FoldDuplex__SWIG_4

          public static final int HybridRNA_FoldDuplex__SWIG_4(long jarg1,
                                                               HybridRNA jarg1_)

    - #### HybridRNA_GetErrorCode

          public static final int HybridRNA_GetErrorCode(long jarg1,
                                                         HybridRNA jarg1_)

    - #### HybridRNA_GetForbidIntramolecular

          public static final boolean HybridRNA_GetForbidIntramolecular(long jarg1,
                                                                        HybridRNA jarg1_)

    - #### HybridRNA_GetMyErrorMessage

          public static final java.lang.String HybridRNA_GetMyErrorMessage(long jarg1,
                                                                           HybridRNA jarg1_,
                                                                           int jarg2)

    - #### HybridRNA_GetRNA1

          public static final long HybridRNA_GetRNA1(long jarg1,
                                                     HybridRNA jarg1_)

    - #### HybridRNA_GetRNA2

          public static final long HybridRNA_GetRNA2(long jarg1,
                                                     HybridRNA jarg1_)

    - #### HybridRNA_PartitionFunctionBimolecular__SWIG_0

          public static final int HybridRNA_PartitionFunctionBimolecular__SWIG_0(long jarg1,
                                                                                 HybridRNA jarg1_,
                                                                                 java.lang.String jarg2)

    - #### HybridRNA_PartitionFunctionBimolecular__SWIG_1

          public static final int HybridRNA_PartitionFunctionBimolecular__SWIG_1(long jarg1,
                                                                                 HybridRNA jarg1_)

    - #### HybridRNA_SetForbidIntramolecular

          public static final void HybridRNA_SetForbidIntramolecular(long jarg1,
                                                                     HybridRNA jarg1_,
                                                                     boolean jarg2)

    - #### HybridRNA_SetProgress

          public static final void HybridRNA_SetProgress(long jarg1,
                                                         HybridRNA jarg1_,
                                                         long jarg2,
                                                         ProgressHandler jarg2_)

    - #### HybridRNA_StopProgress

          public static final void HybridRNA_StopProgress(long jarg1,
                                                          HybridRNA jarg1_)

    - #### HybridRNA_SWIGUpcast

          public static final long HybridRNA_SWIGUpcast(long jarg1)

    - #### new_CDblVector__SWIG_0

          public static final long new_CDblVector__SWIG_0()

    - #### new_CDblVector__SWIG_1

          public static final long new_CDblVector__SWIG_1(long jarg1)

    - #### new_CIntVector__SWIG_0

          public static final long new_CIntVector__SWIG_0()

    - #### new_CIntVector__SWIG_1

          public static final long new_CIntVector__SWIG_1(long jarg1)

    - #### new_datatable

          public static final long new_datatable()

    - #### new_Dynalign_object__SWIG_0

          public static final long new_Dynalign_object__SWIG_0()

    - #### new_Dynalign_object__SWIG_1

          public static final long new_Dynalign_object__SWIG_1(java.lang.String jarg1,
                                                               java.lang.String jarg2,
                                                               boolean jarg3)

    - #### new_Dynalign_object__SWIG_2

          public static final long new_Dynalign_object__SWIG_2(java.lang.String jarg1,
                                                               java.lang.String jarg2)

    - #### new_Dynalign_object__SWIG_3

          public static final long new_Dynalign_object__SWIG_3(java.lang.String jarg1,
                                                               int jarg2,
                                                               java.lang.String jarg3,
                                                               int jarg4,
                                                               boolean jarg5)

    - #### new_Dynalign_object__SWIG_4

          public static final long new_Dynalign_object__SWIG_4(java.lang.String jarg1,
                                                               int jarg2,
                                                               java.lang.String jarg3,
                                                               int jarg4)

    - #### new_Dynalign_object__SWIG_5

          public static final long new_Dynalign_object__SWIG_5(java.lang.String jarg1,
                                                               int jarg2,
                                                               java.lang.String jarg3,
                                                               int jarg4,
                                                               long jarg5,
                                                               Thermodynamics jarg5_)

    - #### new_Dynalign_object__SWIG_6

          public static final long new_Dynalign_object__SWIG_6(java.lang.String jarg1)

    - #### new_Dynalign_object__SWIG_7

          public static final long new_Dynalign_object__SWIG_7(java.lang.String jarg1,
                                                               short jarg2,
                                                               short jarg3,
                                                               short jarg4,
                                                               short jarg5)

    - #### new_HybridRNA__SWIG_0

          public static final long new_HybridRNA__SWIG_0(java.lang.String jarg1,
                                                         java.lang.String jarg2,
                                                         boolean jarg3)

    - #### new_HybridRNA__SWIG_1

          public static final long new_HybridRNA__SWIG_1(java.lang.String jarg1,
                                                         java.lang.String jarg2)

    - #### new_HybridRNA__SWIG_2

          public static final long new_HybridRNA__SWIG_2(java.lang.String jarg1,
                                                         int jarg2,
                                                         java.lang.String jarg3,
                                                         int jarg4,
                                                         boolean jarg5)

    - #### new_HybridRNA__SWIG_3

          public static final long new_HybridRNA__SWIG_3(java.lang.String jarg1,
                                                         int jarg2,
                                                         java.lang.String jarg3,
                                                         int jarg4)

    - #### new_HybridRNA__SWIG_4

          public static final long new_HybridRNA__SWIG_4(java.lang.String jarg1,
                                                         int jarg2,
                                                         java.lang.String jarg3,
                                                         int jarg4,
                                                         java.lang.String jarg5)

    - #### new_PartialProgress

          public static final long new_PartialProgress(long jarg1,
                                                       ProgressHandler jarg1_)

    - #### new_RNA__SWIG_0

          public static final long new_RNA__SWIG_0(java.lang.String jarg1,
                                                   boolean jarg2)

    - #### new_RNA__SWIG_1

          public static final long new_RNA__SWIG_1(java.lang.String jarg1)

    - #### new_RNA__SWIG_2

          public static final long new_RNA__SWIG_2(java.lang.String jarg1,
                                                   int jarg2,
                                                   java.lang.String jarg3,
                                                   boolean jarg4,
                                                   boolean jarg5)

    - #### new_RNA__SWIG_3

          public static final long new_RNA__SWIG_3(java.lang.String jarg1,
                                                   int jarg2,
                                                   java.lang.String jarg3,
                                                   boolean jarg4)

    - #### new_RNA__SWIG_4

          public static final long new_RNA__SWIG_4(java.lang.String jarg1,
                                                   int jarg2,
                                                   java.lang.String jarg3)

    - #### new_RNA__SWIG_5

          public static final long new_RNA__SWIG_5(java.lang.String jarg1,
                                                   int jarg2,
                                                   long jarg3,
                                                   Thermodynamics jarg3_)

    - #### new_RNA__SWIG_6

          public static final long new_RNA__SWIG_6(java.lang.String jarg1,
                                                   int jarg2,
                                                   boolean jarg3)

    - #### new_RNA__SWIG_7

          public static final long new_RNA__SWIG_7(java.lang.String jarg1,
                                                   int jarg2)

    - #### new_RNA__SWIG_8

          public static final long new_RNA__SWIG_8(boolean jarg1)

    - #### new_RNA__SWIG_9

          public static final long new_RNA__SWIG_9()

    - #### new_SimpleProgressHandler

          public static final long new_SimpleProgressHandler()

    - #### new_singlestructure

          public static final long new_singlestructure(int jarg1)

    - #### new_structure__SWIG_0

          public static final long new_structure__SWIG_0(int jarg1)

    - #### new_structure__SWIG_1

          public static final long new_structure__SWIG_1()

    - #### new_Thermodynamics__SWIG_0

          public static final long new_Thermodynamics__SWIG_0(boolean jarg1,
                                                              java.lang.String jarg2,
                                                              double jarg3)

    - #### new_Thermodynamics__SWIG_1

          public static final long new_Thermodynamics__SWIG_1(boolean jarg1,
                                                              java.lang.String jarg2)

    - #### new_Thermodynamics__SWIG_2

          public static final long new_Thermodynamics__SWIG_2(boolean jarg1)

    - #### new_Thermodynamics__SWIG_3

          public static final long new_Thermodynamics__SWIG_3()

    - #### new_Thermodynamics__SWIG_4

          public static final long new_Thermodynamics__SWIG_4(long jarg1,
                                                              Thermodynamics jarg1_)

    - #### new_TProgressDialog

          public static final long new_TProgressDialog()

    - #### new_TwoRNA__SWIG_0

          public static final long new_TwoRNA__SWIG_0(java.lang.String jarg1,
                                                      java.lang.String jarg2,
                                                      boolean jarg3)

    - #### new_TwoRNA__SWIG_1

          public static final long new_TwoRNA__SWIG_1(java.lang.String jarg1,
                                                      java.lang.String jarg2)

    - #### new_TwoRNA__SWIG_2

          public static final long new_TwoRNA__SWIG_2(java.lang.String jarg1,
                                                      int jarg2,
                                                      java.lang.String jarg3,
                                                      int jarg4,
                                                      boolean jarg5)

    - #### new_TwoRNA__SWIG_3

          public static final long new_TwoRNA__SWIG_3(java.lang.String jarg1,
                                                      int jarg2,
                                                      java.lang.String jarg3,
                                                      int jarg4)

    - #### new_TwoRNA__SWIG_4

          public static final long new_TwoRNA__SWIG_4(java.lang.String jarg1,
                                                      int jarg2,
                                                      java.lang.String jarg3,
                                                      int jarg4,
                                                      long jarg5,
                                                      Thermodynamics jarg5_)

    - #### new_TwoRNA__SWIG_5

          public static final long new_TwoRNA__SWIG_5()

    - #### PartialProgress_advanceToNextStep

          public static final void PartialProgress_advanceToNextStep(long jarg1,
                                                                     PartialProgress jarg1_,
                                                                     int jarg2)

    - #### PartialProgress_cancel

          public static final void PartialProgress_cancel(long jarg1,
                                                          PartialProgress jarg1_)

    - #### PartialProgress_canceled

          public static final boolean PartialProgress_canceled(long jarg1,
                                                               PartialProgress jarg1_)

    - #### PartialProgress_setClient

          public static final void PartialProgress_setClient(long jarg1,
                                                             PartialProgress jarg1_,
                                                             long jarg2,
                                                             ProgressHandler jarg2_)

    - #### PartialProgress_setNextStep

          public static final void PartialProgress_setNextStep(long jarg1,
                                                               PartialProgress jarg1_,
                                                               int jarg2)

    - #### PartialProgress_setWorkComplete

          public static final void PartialProgress_setWorkComplete(long jarg1,
                                                                   PartialProgress jarg1_,
                                                                   int jarg2)

    - #### PartialProgress_stepComplete

          public static final void PartialProgress_stepComplete(long jarg1,
                                                                PartialProgress jarg1_)

    - #### PartialProgress_SWIGUpcast

          public static final long PartialProgress_SWIGUpcast(long jarg1)

    - #### PartialProgress_update

          public static final void PartialProgress_update(long jarg1,
                                                          PartialProgress jarg1_,
                                                          int jarg2)

    - #### PartialProgress_workInNextStep_get

          public static final int PartialProgress_workInNextStep_get(long jarg1,
                                                                     PartialProgress jarg1_)

    - #### PartialProgress_workInNextStep_set

          public static final void PartialProgress_workInNextStep_set(long jarg1,
                                                                      PartialProgress jarg1_,
                                                                      int jarg2)

    - #### ProgressHandler_cancel

          public static final void ProgressHandler_cancel(long jarg1,
                                                          ProgressHandler jarg1_)

    - #### ProgressHandler_canceled

          public static final boolean ProgressHandler_canceled(long jarg1,
                                                               ProgressHandler jarg1_)

    - #### ProgressHandler_progress

          public static final int ProgressHandler_progress(long jarg1,
                                                           ProgressHandler jarg1_)

    - #### ProgressHandler_reset

          public static final void ProgressHandler_reset(long jarg1,
                                                         ProgressHandler jarg1_)

    - #### ProgressHandler_update__SWIG_0

          public static final void ProgressHandler_update__SWIG_0(long jarg1,
                                                                  ProgressHandler jarg1_,
                                                                  int jarg2)

    - #### ProgressHandler_update__SWIG_1

          public static final void ProgressHandler_update__SWIG_1(long jarg1,
                                                                  ProgressHandler jarg1_,
                                                                  double jarg2,
                                                                  double jarg3)

    - #### ProgressHandler_updateFraction

          public static final void ProgressHandler_updateFraction(long jarg1,
                                                                  ProgressHandler jarg1_,
                                                                  double jarg2)

    - #### RNA_AddComment__SWIG_0

          public static final int RNA_AddComment__SWIG_0(long jarg1,
                                                         RNA jarg1_,
                                                         java.lang.String jarg2,
                                                         int jarg3)

    - #### RNA_AddComment__SWIG_1

          public static final int RNA_AddComment__SWIG_1(long jarg1,
                                                         RNA jarg1_,
                                                         java.lang.String jarg2)

    - #### RNA_BreakPseudoknot__SWIG_0

          public static final int RNA_BreakPseudoknot__SWIG_0(long jarg1,
                                                              RNA jarg1_,
                                                              boolean jarg2,
                                                              int jarg3,
                                                              boolean jarg4)

    - #### RNA_BreakPseudoknot__SWIG_1

          public static final int RNA_BreakPseudoknot__SWIG_1(long jarg1,
                                                              RNA jarg1_,
                                                              boolean jarg2,
                                                              int jarg3)

    - #### RNA_BreakPseudoknot__SWIG_2

          public static final int RNA_BreakPseudoknot__SWIG_2(long jarg1,
                                                              RNA jarg1_,
                                                              boolean jarg2)

    - #### RNA_BreakPseudoknot__SWIG_3

          public static final int RNA_BreakPseudoknot__SWIG_3(long jarg1,
                                                              RNA jarg1_)

    - #### RNA_CalculateFreeEnergy__SWIG_0

          public static final double RNA_CalculateFreeEnergy__SWIG_0(long jarg1,
                                                                     RNA jarg1_,
                                                                     int jarg2,
                                                                     boolean jarg3)

    - #### RNA_CalculateFreeEnergy__SWIG_1

          public static final double RNA_CalculateFreeEnergy__SWIG_1(long jarg1,
                                                                     RNA jarg1_,
                                                                     int jarg2)

    - #### RNA_CalculateFreeEnergy__SWIG_2

          public static final double RNA_CalculateFreeEnergy__SWIG_2(long jarg1,
                                                                     RNA jarg1_)

    - #### RNA_ContainsPseudoknot

          public static final boolean RNA_ContainsPseudoknot(long jarg1,
                                                             RNA jarg1_,
                                                             int jarg2)

    - #### RNA_CopyThermo

          public static final void RNA_CopyThermo(long jarg1,
                                                  RNA jarg1_,
                                                  long jarg2,
                                                  Thermodynamics jarg2_)

    - #### RNA_DetermineDrawingCoordinates__SWIG_0

          public static final int RNA_DetermineDrawingCoordinates__SWIG_0(long jarg1,
                                                                          RNA jarg1_,
                                                                          int jarg2,
                                                                          int jarg3,
                                                                          int jarg4)

    - #### RNA_DetermineDrawingCoordinates__SWIG_1

          public static final int RNA_DetermineDrawingCoordinates__SWIG_1(long jarg1,
                                                                          RNA jarg1_,
                                                                          int jarg2,
                                                                          int jarg3)

    - #### RNA_EnsureStructureCapcacity

          public static final void RNA_EnsureStructureCapcacity(long jarg1,
                                                                RNA jarg1_,
                                                                int jarg2)

    - #### RNA_FoldSingleStrand__SWIG_0

          public static final int RNA_FoldSingleStrand__SWIG_0(long jarg1,
                                                               RNA jarg1_,
                                                               float jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               java.lang.String jarg5,
                                                               int jarg6,
                                                               boolean jarg7,
                                                               boolean jarg8,
                                                               boolean jarg9)

    - #### RNA_FoldSingleStrand__SWIG_1

          public static final int RNA_FoldSingleStrand__SWIG_1(long jarg1,
                                                               RNA jarg1_,
                                                               float jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               java.lang.String jarg5,
                                                               int jarg6,
                                                               boolean jarg7,
                                                               boolean jarg8)

    - #### RNA_FoldSingleStrand__SWIG_2

          public static final int RNA_FoldSingleStrand__SWIG_2(long jarg1,
                                                               RNA jarg1_,
                                                               float jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               java.lang.String jarg5,
                                                               int jarg6,
                                                               boolean jarg7)

    - #### RNA_FoldSingleStrand__SWIG_3

          public static final int RNA_FoldSingleStrand__SWIG_3(long jarg1,
                                                               RNA jarg1_,
                                                               float jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               java.lang.String jarg5,
                                                               int jarg6)

    - #### RNA_FoldSingleStrand__SWIG_4

          public static final int RNA_FoldSingleStrand__SWIG_4(long jarg1,
                                                               RNA jarg1_,
                                                               float jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               java.lang.String jarg5)

    - #### RNA_FoldSingleStrand__SWIG_5

          public static final int RNA_FoldSingleStrand__SWIG_5(long jarg1,
                                                               RNA jarg1_,
                                                               float jarg2,
                                                               int jarg3,
                                                               int jarg4)

    - #### RNA_FoldSingleStrand__SWIG_6

          public static final int RNA_FoldSingleStrand__SWIG_6(long jarg1,
                                                               RNA jarg1_,
                                                               float jarg2,
                                                               int jarg3)

    - #### RNA_FoldSingleStrand__SWIG_7

          public static final int RNA_FoldSingleStrand__SWIG_7(long jarg1,
                                                               RNA jarg1_,
                                                               float jarg2)

    - #### RNA_FoldSingleStrand__SWIG_8

          public static final int RNA_FoldSingleStrand__SWIG_8(long jarg1,
                                                               RNA jarg1_)

    - #### RNA_ForceDoubleStranded

          public static final int RNA_ForceDoubleStranded(long jarg1,
                                                          RNA jarg1_,
                                                          int jarg2)

    - #### RNA_ForceFMNCleavage

          public static final int RNA_ForceFMNCleavage(long jarg1,
                                                       RNA jarg1_,
                                                       int jarg2)

    - #### RNA_ForceMaximumPairingDistance

          public static final int RNA_ForceMaximumPairingDistance(long jarg1,
                                                                  RNA jarg1_,
                                                                  int jarg2)

    - #### RNA_ForceModification

          public static final int RNA_ForceModification(long jarg1,
                                                        RNA jarg1_,
                                                        int jarg2)

    - #### RNA_ForcePair

          public static final int RNA_ForcePair(long jarg1,
                                                RNA jarg1_,
                                                int jarg2,
                                                int jarg3)

    - #### RNA_ForceProhibitPair

          public static final int RNA_ForceProhibitPair(long jarg1,
                                                        RNA jarg1_,
                                                        int jarg2,
                                                        int jarg3)

    - #### RNA_ForceSingleStranded

          public static final int RNA_ForceSingleStranded(long jarg1,
                                                          RNA jarg1_,
                                                          int jarg2)

    - #### RNA_GenerateAllSuboptimalStructures__SWIG_0

          public static final int RNA_GenerateAllSuboptimalStructures__SWIG_0(long jarg1,
                                                                              RNA jarg1_,
                                                                              float jarg2,
                                                                              double jarg3)

    - #### RNA_GenerateAllSuboptimalStructures__SWIG_1

          public static final int RNA_GenerateAllSuboptimalStructures__SWIG_1(long jarg1,
                                                                              RNA jarg1_,
                                                                              float jarg2)

    - #### RNA_GenerateAllSuboptimalStructures__SWIG_2

          public static final int RNA_GenerateAllSuboptimalStructures__SWIG_2(long jarg1,
                                                                              RNA jarg1_)

    - #### RNA_GetBackboneType

          public static final boolean RNA_GetBackboneType(long jarg1,
                                                          RNA jarg1_)

    - #### RNA_GetCommentString__SWIG_0

          public static final java.lang.String RNA_GetCommentString__SWIG_0(long jarg1,
                                                                            RNA jarg1_,
                                                                            int jarg2)

    - #### RNA_GetCommentString__SWIG_1

          public static final java.lang.String RNA_GetCommentString__SWIG_1(long jarg1,
                                                                            RNA jarg1_)

    - #### RNA_GetEnsembleDefect__SWIG_0

          public static final double RNA_GetEnsembleDefect__SWIG_0(long jarg1,
                                                                   RNA jarg1_,
                                                                   int jarg2)

    - #### RNA_GetEnsembleDefect__SWIG_1

          public static final double RNA_GetEnsembleDefect__SWIG_1(long jarg1,
                                                                   RNA jarg1_)

    - #### RNA_GetEnsembleEnergy

          public static final double RNA_GetEnsembleEnergy(long jarg1,
                                                           RNA jarg1_)

    - #### RNA_GetErrorCode

          public static final int RNA_GetErrorCode(long jarg1,
                                                   RNA jarg1_)

    - #### RNA_GetErrorDetails

          public static final java.lang.String RNA_GetErrorDetails(long jarg1,
                                                                   RNA jarg1_)

    - #### RNA_GetErrorMessage

          public static final java.lang.String RNA_GetErrorMessage(int jarg1)

    - #### RNA_GetForcedDoubleStranded

          public static final int RNA_GetForcedDoubleStranded(long jarg1,
                                                              RNA jarg1_,
                                                              int jarg2)

    - #### RNA_GetForcedFMNCleavage

          public static final int RNA_GetForcedFMNCleavage(long jarg1,
                                                           RNA jarg1_,
                                                           int jarg2)

    - #### RNA_GetForcedModification

          public static final int RNA_GetForcedModification(long jarg1,
                                                            RNA jarg1_,
                                                            int jarg2)

    - #### RNA_GetForcedPair

          public static final int RNA_GetForcedPair(long jarg1,
                                                    RNA jarg1_,
                                                    int jarg2,
                                                    boolean jarg3)

    - #### RNA_GetForcedProhibitedPair

          public static final int RNA_GetForcedProhibitedPair(long jarg1,
                                                              RNA jarg1_,
                                                              int jarg2,
                                                              boolean jarg3)

    - #### RNA_GetForcedSingleStranded

          public static final int RNA_GetForcedSingleStranded(long jarg1,
                                                              RNA jarg1_,
                                                              int jarg2)

    - #### RNA_GetFreeEnergy

          public static final double RNA_GetFreeEnergy(long jarg1,
                                                       RNA jarg1_,
                                                       int jarg2)

    - #### RNA_GetFullErrorMessage

          public static final java.lang.String RNA_GetFullErrorMessage(long jarg1,
                                                                       RNA jarg1_)

    - #### RNA_getIntAt

          public static final int RNA_getIntAt(long jarg1,
                                               RNA jarg1_,
                                               int jarg2)

    - #### RNA_getInts

          public static final int RNA_getInts(long jarg1,
                                              RNA jarg1_,
                                              int[] jarg2,
                                              int jarg3)

    - #### RNA_GetLabelXCoordinate

          public static final int RNA_GetLabelXCoordinate(long jarg1,
                                                          RNA jarg1_,
                                                          int jarg2)

    - #### RNA_GetLabelYCoordinate

          public static final int RNA_GetLabelYCoordinate(long jarg1,
                                                          RNA jarg1_,
                                                          int jarg2)

    - #### RNA_GetMaximumPairingDistance

          public static final int RNA_GetMaximumPairingDistance(long jarg1,
                                                                RNA jarg1_)

    - #### RNA_GetNucleotide

          public static final char RNA_GetNucleotide(long jarg1,
                                                     RNA jarg1_,
                                                     int jarg2)

    - #### RNA_GetNucleotideXCoordinate

          public static final int RNA_GetNucleotideXCoordinate(long jarg1,
                                                               RNA jarg1_,
                                                               int jarg2)

    - #### RNA_GetNucleotideYCoordinate

          public static final int RNA_GetNucleotideYCoordinate(long jarg1,
                                                               RNA jarg1_,
                                                               int jarg2)

    - #### RNA_GetNumberOfForcedDoubleStranded

          public static final int RNA_GetNumberOfForcedDoubleStranded(long jarg1,
                                                                      RNA jarg1_)

    - #### RNA_GetNumberOfForcedFMNCleavages

          public static final int RNA_GetNumberOfForcedFMNCleavages(long jarg1,
                                                                    RNA jarg1_)

    - #### RNA_GetNumberOfForcedModifications

          public static final int RNA_GetNumberOfForcedModifications(long jarg1,
                                                                     RNA jarg1_)

    - #### RNA_GetNumberOfForcedPairs

          public static final int RNA_GetNumberOfForcedPairs(long jarg1,
                                                             RNA jarg1_)

    - #### RNA_GetNumberOfForcedProhibitedPairs

          public static final int RNA_GetNumberOfForcedProhibitedPairs(long jarg1,
                                                                       RNA jarg1_)

    - #### RNA_GetNumberOfForcedSingleStranded

          public static final int RNA_GetNumberOfForcedSingleStranded(long jarg1,
                                                                      RNA jarg1_)

    - #### RNA_GetPair__SWIG_0

          public static final int RNA_GetPair__SWIG_0(long jarg1,
                                                      RNA jarg1_,
                                                      int jarg2,
                                                      int jarg3)

    - #### RNA_GetPair__SWIG_1

          public static final int RNA_GetPair__SWIG_1(long jarg1,
                                                      RNA jarg1_,
                                                      int jarg2)

    - #### RNA_GetPairEnergy

          public static final double RNA_GetPairEnergy(long jarg1,
                                                       RNA jarg1_,
                                                       int jarg2,
                                                       int jarg3)

    - #### RNA_GetPairProbabilities

          public static final int RNA_GetPairProbabilities(long jarg1,
                                                           RNA jarg1_,
                                                           double[] jarg2,
                                                           int jarg3)

    - #### RNA_GetPairProbability

          public static final double RNA_GetPairProbability(long jarg1,
                                                            RNA jarg1_,
                                                            int jarg2,
                                                            int jarg3)

    - #### RNA_GetProgress

          public static final long RNA_GetProgress(long jarg1,
                                                   RNA jarg1_)

    - #### RNA_GetSequence

          public static final java.lang.String RNA_GetSequence(long jarg1,
                                                               RNA jarg1_)

    - #### RNA_GetSequenceLength

          public static final int RNA_GetSequenceLength(long jarg1,
                                                        RNA jarg1_)

    - #### RNA_GetStructure

          public static final long RNA_GetStructure(long jarg1,
                                                    RNA jarg1_)

    - #### RNA_GetStructureNumber

          public static final int RNA_GetStructureNumber(long jarg1,
                                                         RNA jarg1_)

    - #### RNA_initInts

          public static final void RNA_initInts(long jarg1,
                                                RNA jarg1_)

    - #### RNA_MaximizeExpectedAccuracy__SWIG_0

          public static final int RNA_MaximizeExpectedAccuracy__SWIG_0(long jarg1,
                                                                       RNA jarg1_,
                                                                       double jarg2,
                                                                       int jarg3,
                                                                       int jarg4,
                                                                       double jarg5)

    - #### RNA_MaximizeExpectedAccuracy__SWIG_1

          public static final int RNA_MaximizeExpectedAccuracy__SWIG_1(long jarg1,
                                                                       RNA jarg1_,
                                                                       double jarg2,
                                                                       int jarg3,
                                                                       int jarg4)

    - #### RNA_MaximizeExpectedAccuracy__SWIG_2

          public static final int RNA_MaximizeExpectedAccuracy__SWIG_2(long jarg1,
                                                                       RNA jarg1_,
                                                                       double jarg2,
                                                                       int jarg3)

    - #### RNA_MaximizeExpectedAccuracy__SWIG_3

          public static final int RNA_MaximizeExpectedAccuracy__SWIG_3(long jarg1,
                                                                       RNA jarg1_,
                                                                       double jarg2)

    - #### RNA_MaximizeExpectedAccuracy__SWIG_4

          public static final int RNA_MaximizeExpectedAccuracy__SWIG_4(long jarg1,
                                                                       RNA jarg1_)

    - #### RNA_PartitionFunction__SWIG_0

          public static final int RNA_PartitionFunction__SWIG_0(long jarg1,
                                                                RNA jarg1_,
                                                                java.lang.String jarg2,
                                                                double jarg3,
                                                                boolean jarg4,
                                                                boolean jarg5)

    - #### RNA_PartitionFunction__SWIG_1

          public static final int RNA_PartitionFunction__SWIG_1(long jarg1,
                                                                RNA jarg1_,
                                                                java.lang.String jarg2,
                                                                double jarg3,
                                                                boolean jarg4)

    - #### RNA_PartitionFunction__SWIG_2

          public static final int RNA_PartitionFunction__SWIG_2(long jarg1,
                                                                RNA jarg1_,
                                                                java.lang.String jarg2,
                                                                double jarg3)

    - #### RNA_PartitionFunction__SWIG_3

          public static final int RNA_PartitionFunction__SWIG_3(long jarg1,
                                                                RNA jarg1_,
                                                                java.lang.String jarg2)

    - #### RNA_PartitionFunction__SWIG_4

          public static final int RNA_PartitionFunction__SWIG_4(long jarg1,
                                                                RNA jarg1_)

    - #### RNA_PredictProbablePairs__SWIG_0

          public static final int RNA_PredictProbablePairs__SWIG_0(long jarg1,
                                                                   RNA jarg1_,
                                                                   float jarg2)

    - #### RNA_PredictProbablePairs__SWIG_1

          public static final int RNA_PredictProbablePairs__SWIG_1(long jarg1,
                                                                   RNA jarg1_)

    - #### RNA_ProbKnot__SWIG_0

          public static final int RNA_ProbKnot__SWIG_0(long jarg1,
                                                       RNA jarg1_,
                                                       int jarg2,
                                                       int jarg3)

    - #### RNA_ProbKnot__SWIG_1

          public static final int RNA_ProbKnot__SWIG_1(long jarg1,
                                                       RNA jarg1_,
                                                       int jarg2)

    - #### RNA_ProbKnot__SWIG_2

          public static final int RNA_ProbKnot__SWIG_2(long jarg1,
                                                       RNA jarg1_)

    - #### RNA_ProbKnotFromSample__SWIG_0

          public static final int RNA_ProbKnotFromSample__SWIG_0(long jarg1,
                                                                 RNA jarg1_,
                                                                 int jarg2,
                                                                 int jarg3)

    - #### RNA_ProbKnotFromSample__SWIG_1

          public static final int RNA_ProbKnotFromSample__SWIG_1(long jarg1,
                                                                 RNA jarg1_,
                                                                 int jarg2)

    - #### RNA_ProbKnotFromSample__SWIG_2

          public static final int RNA_ProbKnotFromSample__SWIG_2(long jarg1,
                                                                 RNA jarg1_)

    - #### RNA_ReadConstraints

          public static final int RNA_ReadConstraints(long jarg1,
                                                      RNA jarg1_,
                                                      java.lang.String jarg2)

    - #### RNA_ReadDMS

          public static final int RNA_ReadDMS(long jarg1,
                                              RNA jarg1_,
                                              java.lang.String jarg2)

    - #### RNA_ReadDSO

          public static final int RNA_ReadDSO(long jarg1,
                                              RNA jarg1_,
                                              java.lang.String jarg2)

    - #### RNA_ReadExperimentalPairBonus

          public static final int RNA_ReadExperimentalPairBonus(long jarg1,
                                                                RNA jarg1_,
                                                                java.lang.String jarg2,
                                                                double jarg3,
                                                                double jarg4)

    - #### RNA_ReadSHAPE__SWIG_0

          public static final int RNA_ReadSHAPE__SWIG_0(long jarg1,
                                                        RNA jarg1_,
                                                        java.lang.String jarg2,
                                                        double jarg3,
                                                        double jarg4,
                                                        int jarg5,
                                                        boolean jarg6)

    - #### RNA_ReadSHAPE__SWIG_1

          public static final int RNA_ReadSHAPE__SWIG_1(long jarg1,
                                                        RNA jarg1_,
                                                        java.lang.String jarg2,
                                                        double jarg3,
                                                        double jarg4,
                                                        int jarg5)

    - #### RNA_ReadSHAPE__SWIG_2

          public static final int RNA_ReadSHAPE__SWIG_2(long jarg1,
                                                        RNA jarg1_,
                                                        java.lang.String jarg2,
                                                        double jarg3,
                                                        double jarg4)

    - #### RNA_ReadSHAPE__SWIG_3

          public static final int RNA_ReadSHAPE__SWIG_3(long jarg1,
                                                        RNA jarg1_,
                                                        java.lang.String jarg2,
                                                        double jarg3,
                                                        double jarg4,
                                                        double jarg5,
                                                        double jarg6,
                                                        int jarg7)

    - #### RNA_ReadSHAPE__SWIG_4

          public static final int RNA_ReadSHAPE__SWIG_4(long jarg1,
                                                        RNA jarg1_,
                                                        java.lang.String jarg2,
                                                        double jarg3,
                                                        double jarg4,
                                                        double jarg5,
                                                        double jarg6)

    - #### RNA_ReadSSO

          public static final int RNA_ReadSSO(long jarg1,
                                              RNA jarg1_,
                                              java.lang.String jarg2)

    - #### RNA_ReFoldSingleStrand__SWIG_0

          public static final int RNA_ReFoldSingleStrand__SWIG_0(long jarg1,
                                                                 RNA jarg1_,
                                                                 float jarg2,
                                                                 int jarg3,
                                                                 int jarg4)

    - #### RNA_ReFoldSingleStrand__SWIG_1

          public static final int RNA_ReFoldSingleStrand__SWIG_1(long jarg1,
                                                                 RNA jarg1_,
                                                                 float jarg2,
                                                                 int jarg3)

    - #### RNA_ReFoldSingleStrand__SWIG_2

          public static final int RNA_ReFoldSingleStrand__SWIG_2(long jarg1,
                                                                 RNA jarg1_,
                                                                 float jarg2)

    - #### RNA_ReFoldSingleStrand__SWIG_3

          public static final int RNA_ReFoldSingleStrand__SWIG_3(long jarg1,
                                                                 RNA jarg1_)

    - #### RNA_RemoveBasePair__SWIG_0

          public static final int RNA_RemoveBasePair__SWIG_0(long jarg1,
                                                             RNA jarg1_,
                                                             int jarg2,
                                                             int jarg3)

    - #### RNA_RemoveBasePair__SWIG_1

          public static final int RNA_RemoveBasePair__SWIG_1(long jarg1,
                                                             RNA jarg1_,
                                                             int jarg2)

    - #### RNA_RemoveConstraints

          public static final void RNA_RemoveConstraints(long jarg1,
                                                         RNA jarg1_)

    - #### RNA_RemovePairs__SWIG_0

          public static final int RNA_RemovePairs__SWIG_0(long jarg1,
                                                          RNA jarg1_,
                                                          int jarg2,
                                                          boolean jarg3)

    - #### RNA_RemovePairs__SWIG_1

          public static final int RNA_RemovePairs__SWIG_1(long jarg1,
                                                          RNA jarg1_,
                                                          int jarg2)

    - #### RNA_RemovePairs__SWIG_2

          public static final int RNA_RemovePairs__SWIG_2(long jarg1,
                                                          RNA jarg1_)

    - #### RNA_ResetError

          public static final void RNA_ResetError(long jarg1,
                                                  RNA jarg1_)

    - #### RNA_SetErrorDetails

          public static final void RNA_SetErrorDetails(long jarg1,
                                                       RNA jarg1_,
                                                       java.lang.String jarg2)

    - #### RNA_SetExtrinsic

          public static final int RNA_SetExtrinsic(long jarg1,
                                                   RNA jarg1_,
                                                   int jarg2,
                                                   int jarg3,
                                                   double jarg4)

    - #### RNA_SetProgress

          public static final void RNA_SetProgress(long jarg1,
                                                   RNA jarg1_,
                                                   long jarg2,
                                                   ProgressHandler jarg2_)

    - #### RNA_SpecifyPair__SWIG_0

          public static final int RNA_SpecifyPair__SWIG_0(long jarg1,
                                                          RNA jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4)

    - #### RNA_SpecifyPair__SWIG_1

          public static final int RNA_SpecifyPair__SWIG_1(long jarg1,
                                                          RNA jarg1_,
                                                          int jarg2,
                                                          int jarg3)

    - #### RNA_Stochastic__SWIG_0

          public static final int RNA_Stochastic__SWIG_0(long jarg1,
                                                         RNA jarg1_,
                                                         int jarg2,
                                                         int jarg3)

    - #### RNA_Stochastic__SWIG_1

          public static final int RNA_Stochastic__SWIG_1(long jarg1,
                                                         RNA jarg1_,
                                                         int jarg2)

    - #### RNA_Stochastic__SWIG_2

          public static final int RNA_Stochastic__SWIG_2(long jarg1,
                                                         RNA jarg1_)

    - #### RNA_StopProgress

          public static final void RNA_StopProgress(long jarg1,
                                                    RNA jarg1_)

    - #### RNA_SWIGUpcast

          public static final long RNA_SWIGUpcast(long jarg1)

    - #### RNA_WriteConstraints

          public static final int RNA_WriteConstraints(long jarg1,
                                                       RNA jarg1_,
                                                       java.lang.String jarg2)

    - #### RNA_WriteCt

          public static final int RNA_WriteCt(long jarg1,
                                              RNA jarg1_,
                                              java.lang.String jarg2)

    - #### RNA_WriteDotBracket__SWIG_0

          public static final int RNA_WriteDotBracket__SWIG_0(long jarg1,
                                                              RNA jarg1_,
                                                              java.lang.String jarg2,
                                                              int jarg3,
                                                              int jarg4)

    - #### RNA_WriteDotBracket__SWIG_1

          public static final int RNA_WriteDotBracket__SWIG_1(long jarg1,
                                                              RNA jarg1_,
                                                              java.lang.String jarg2,
                                                              int jarg3)

    - #### RNA_WriteDotBracket__SWIG_2

          public static final int RNA_WriteDotBracket__SWIG_2(long jarg1,
                                                              RNA jarg1_,
                                                              java.lang.String jarg2)

    - #### RNA_WriteThermodynamicDetails__SWIG_0

          public static final int RNA_WriteThermodynamicDetails__SWIG_0(long jarg1,
                                                                        RNA jarg1_,
                                                                        java.lang.String jarg2,
                                                                        boolean jarg3)

    - #### RNA_WriteThermodynamicDetails__SWIG_1

          public static final int RNA_WriteThermodynamicDetails__SWIG_1(long jarg1,
                                                                        RNA jarg1_,
                                                                        java.lang.String jarg2)

    - #### SEQUENCE_STRING_get

          public static final int SEQUENCE_STRING_get()

    - #### setDataPath

          public static final void setDataPath(java.lang.String jarg1)

    - #### SimpleProgressHandler_SWIGUpcast

          public static final long SimpleProgressHandler_SWIGUpcast(long jarg1)

    - #### singlestructure_ctlabel_get

          public static final java.lang.String singlestructure_ctlabel_get(long jarg1,
                                                                           singlestructure jarg1_)

    - #### singlestructure_ctlabel_set

          public static final void singlestructure_ctlabel_set(long jarg1,
                                                               singlestructure jarg1_,
                                                               java.lang.String jarg2)

    - #### singlestructure_energy_get

          public static final int singlestructure_energy_get(long jarg1,
                                                             singlestructure jarg1_)

    - #### singlestructure_energy_set

          public static final void singlestructure_energy_set(long jarg1,
                                                              singlestructure jarg1_,
                                                              int jarg2)

    - #### singlestructure_getBasePair

          public static final int singlestructure_getBasePair(long jarg1,
                                                              singlestructure jarg1_,
                                                              int jarg2)

    - #### singlestructure_getSequenceLength

          public static final int singlestructure_getSequenceLength(long jarg1,
                                                                    singlestructure jarg1_)

    - #### singlestructure_setBasePair

          public static final void singlestructure_setBasePair(long jarg1,
                                                               singlestructure jarg1_,
                                                               int jarg2,
                                                               int jarg3)

    - #### singlestructure_setSequenceLength

          public static final void singlestructure_setSequenceLength(long jarg1,
                                                                     singlestructure jarg1_,
                                                                     int jarg2)

    - #### structure_AddDouble

          public static final void structure_AddDouble(long jarg1,
                                                       structure jarg1_,
                                                       int jarg2)

    - #### structure_AddForbiddenPair

          public static final void structure_AddForbiddenPair(long jarg1,
                                                              structure jarg1_,
                                                              int jarg2,
                                                              int jarg3)

    - #### structure_AddGUPair

          public static final void structure_AddGUPair(long jarg1,
                                                       structure jarg1_,
                                                       int jarg2)

    - #### structure_AddModified

          public static final void structure_AddModified(long jarg1,
                                                         structure jarg1_,
                                                         int jarg2)

    - #### structure_AddPair

          public static final void structure_AddPair(long jarg1,
                                                     structure jarg1_,
                                                     int jarg2,
                                                     int jarg3)

    - #### structure_AddSingle

          public static final void structure_AddSingle(long jarg1,
                                                       structure jarg1_,
                                                       int jarg2)

    - #### structure_AddStructure

          public static final void structure_AddStructure(long jarg1,
                                                          structure jarg1_)

    - #### structure_allocateconstant

          public static final void structure_allocateconstant(long jarg1,
                                                              structure jarg1_)

    - #### structure_AllocateSHAPE

          public static final void structure_AllocateSHAPE(long jarg1,
                                                           structure jarg1_)

    - #### structure_allocatetem

          public static final void structure_allocatetem(long jarg1,
                                                         structure jarg1_)

    - #### structure_BreakPseudoknots

          public static final void structure_BreakPseudoknots(long jarg1,
                                                              structure jarg1_,
                                                              int jarg2)

    - #### structure_CleanStructure

          public static final void structure_CleanStructure(long jarg1,
                                                            structure jarg1_,
                                                            int jarg2)

    - #### structure_ctout

          public static final int structure_ctout(long jarg1,
                                                  structure jarg1_,
                                                  java.lang.String jarg2)

    - #### structure_DeleteSHAPE

          public static final void structure_DeleteSHAPE(long jarg1,
                                                         structure jarg1_)

    - #### structure_DistanceLimited

          public static final boolean structure_DistanceLimited(long jarg1,
                                                                structure jarg1_)

    - #### structure_FindPseudoknots__SWIG_0

          public static final void structure_FindPseudoknots__SWIG_0(long jarg1,
                                                                     structure jarg1_,
                                                                     int jarg2,
                                                                     long jarg3,
                                                                     CIntVector jarg3_,
                                                                     long jarg4,
                                                                     CIntVector jarg4_)

    - #### structure_FindPseudoknots__SWIG_1

          public static final void structure_FindPseudoknots__SWIG_1(long jarg1,
                                                                     structure jarg1_,
                                                                     int jarg2,
                                                                     long jarg3,
                                                                     CIntVector jarg3_)

    - #### structure_FindPseudoknots__SWIG_2

          public static final void structure_FindPseudoknots__SWIG_2(long jarg1,
                                                                     structure jarg1_,
                                                                     int jarg2)

    - #### structure_GetBase

          public static final int structure_GetBase(long jarg1,
                                                    structure jarg1_,
                                                    int jarg2)

    - #### structure_GetCtLabel

          public static final java.lang.String structure_GetCtLabel(long jarg1,
                                                                    structure jarg1_,
                                                                    int jarg2)

    - #### structure_GetDouble

          public static final int structure_GetDouble(long jarg1,
                                                      structure jarg1_,
                                                      int jarg2)

    - #### structure_GetEnergy

          public static final int structure_GetEnergy(long jarg1,
                                                      structure jarg1_,
                                                      int jarg2)

    - #### structure_GetErrorDetails

          public static final java.lang.String structure_GetErrorDetails(long jarg1,
                                                                         structure jarg1_)

    - #### structure_GetForbiddenPair3

          public static final int structure_GetForbiddenPair3(long jarg1,
                                                              structure jarg1_,
                                                              int jarg2)

    - #### structure_GetForbiddenPair5

          public static final int structure_GetForbiddenPair5(long jarg1,
                                                              structure jarg1_,
                                                              int jarg2)

    - #### structure_GetGUpair

          public static final int structure_GetGUpair(long jarg1,
                                                      structure jarg1_,
                                                      int jarg2)

    - #### structure_GetModified

          public static final int structure_GetModified(long jarg1,
                                                        structure jarg1_,
                                                        int jarg2)

    - #### structure_GetNumberofDoubles

          public static final int structure_GetNumberofDoubles(long jarg1,
                                                               structure jarg1_)

    - #### structure_GetNumberofForbiddenPairs

          public static final int structure_GetNumberofForbiddenPairs(long jarg1,
                                                                      structure jarg1_)

    - #### structure_GetNumberofGU

          public static final int structure_GetNumberofGU(long jarg1,
                                                          structure jarg1_)

    - #### structure_GetNumberofModified

          public static final int structure_GetNumberofModified(long jarg1,
                                                                structure jarg1_)

    - #### structure_GetNumberofPairs

          public static final int structure_GetNumberofPairs(long jarg1,
                                                             structure jarg1_)

    - #### structure_GetNumberofSingles

          public static final int structure_GetNumberofSingles(long jarg1,
                                                               structure jarg1_)

    - #### structure_GetNumberofStructures

          public static final int structure_GetNumberofStructures(long jarg1,
                                                                  structure jarg1_)

    - #### structure_GetPair__SWIG_0

          public static final int structure_GetPair__SWIG_0(long jarg1,
                                                            structure jarg1_,
                                                            int jarg2,
                                                            int jarg3)

    - #### structure_GetPair__SWIG_1

          public static final int structure_GetPair__SWIG_1(long jarg1,
                                                            structure jarg1_,
                                                            int jarg2)

    - #### structure_GetPair3

          public static final int structure_GetPair3(long jarg1,
                                                     structure jarg1_,
                                                     int jarg2)

    - #### structure_GetPair5

          public static final int structure_GetPair5(long jarg1,
                                                     structure jarg1_,
                                                     int jarg2)

    - #### structure_GetPairingDistanceLimit

          public static final int structure_GetPairingDistanceLimit(long jarg1,
                                                                    structure jarg1_)

    - #### structure_GetPseudoknotRanks__SWIG_0

          public static final void structure_GetPseudoknotRanks__SWIG_0(long jarg1,
                                                                        structure jarg1_,
                                                                        long jarg2,
                                                                        CIntVector jarg2_,
                                                                        int jarg3)

    - #### structure_GetPseudoknotRanks__SWIG_1

          public static final void structure_GetPseudoknotRanks__SWIG_1(long jarg1,
                                                                        structure jarg1_,
                                                                        long jarg2,
                                                                        CIntVector jarg2_)

    - #### structure_GetSequence

          public static final java.lang.String structure_GetSequence(long jarg1,
                                                                     structure jarg1_)

    - #### structure_GetSequenceLabel

          public static final java.lang.String structure_GetSequenceLabel(long jarg1,
                                                                          structure jarg1_)

    - #### structure_GetSequenceLength

          public static final int structure_GetSequenceLength(long jarg1,
                                                              structure jarg1_)

    - #### structure_GetSingle

          public static final int structure_GetSingle(long jarg1,
                                                      structure jarg1_,
                                                      int jarg2)

    - #### structure_GetThermodynamicDataTable

          public static final long structure_GetThermodynamicDataTable(long jarg1,
                                                                       structure jarg1_)

    - #### structure_HasPseudoknots__SWIG_0

          public static final boolean structure_HasPseudoknots__SWIG_0(long jarg1,
                                                                       structure jarg1_,
                                                                       int jarg2)

    - #### structure_HasPseudoknots__SWIG_1

          public static final boolean structure_HasPseudoknots__SWIG_1(long jarg1,
                                                                       structure jarg1_)

    - #### structure_IsAlphabetLoaded

          public static final boolean structure_IsAlphabetLoaded(long jarg1,
                                                                 structure jarg1_)

    - #### structure_IsNuc__SWIG_0

          public static final boolean structure_IsNuc__SWIG_0(long jarg1,
                                                              structure jarg1_,
                                                              int jarg2,
                                                              char jarg3)

    - #### structure_IsNuc__SWIG_1

          public static final boolean structure_IsNuc__SWIG_1(long jarg1,
                                                              structure jarg1_,
                                                              int jarg2,
                                                              char jarg3,
                                                              long jarg4,
                                                              datatable jarg4_)

    - #### structure_IsThermoDataLoaded

          public static final boolean structure_IsThermoDataLoaded(long jarg1,
                                                                   structure jarg1_)

    - #### structure_kT_get

          public static final double structure_kT_get()

    - #### structure_openct

          public static final int structure_openct(long jarg1,
                                                   structure jarg1_,
                                                   java.lang.String jarg2)

    - #### structure_opendbn

          public static final int structure_opendbn(long jarg1,
                                                    structure jarg1_,
                                                    java.lang.String jarg2)

    - #### structure_openseq

          public static final int structure_openseq(long jarg1,
                                                    structure jarg1_,
                                                    java.lang.String jarg2)

    - #### structure_openseqx

          public static final int structure_openseqx(long jarg1,
                                                     structure jarg1_,
                                                     java.lang.String jarg2)

    - #### structure_ProblemwithStructures

          public static final boolean structure_ProblemwithStructures(long jarg1,
                                                                      structure jarg1_)

    - #### structure_ReadExperimentalPairBonus__SWIG_0

          public static final int structure_ReadExperimentalPairBonus__SWIG_0(long jarg1,
                                                                              structure jarg1_,
                                                                              java.lang.String jarg2,
                                                                              double jarg3,
                                                                              double jarg4)

    - #### structure_ReadExperimentalPairBonus__SWIG_1

          public static final int structure_ReadExperimentalPairBonus__SWIG_1(long jarg1,
                                                                              structure jarg1_,
                                                                              java.lang.String jarg2,
                                                                              double jarg3)

    - #### structure_ReadExperimentalPairBonus__SWIG_2

          public static final int structure_ReadExperimentalPairBonus__SWIG_2(long jarg1,
                                                                              structure jarg1_,
                                                                              java.lang.String jarg2)

    - #### structure_ReadOffset

          public static final int structure_ReadOffset(long jarg1,
                                                       structure jarg1_,
                                                       java.lang.String jarg2,
                                                       java.lang.String jarg3)

    - #### structure_ReadSHAPE__SWIG_0

          public static final int structure_ReadSHAPE__SWIG_0(long jarg1,
                                                              structure jarg1_,
                                                              java.lang.String jarg2,
                                                              float jarg3,
                                                              float jarg4)

    - #### structure_ReadSHAPE__SWIG_1

          public static final int structure_ReadSHAPE__SWIG_1(long jarg1,
                                                              structure jarg1_,
                                                              java.lang.String jarg2,
                                                              int jarg3,
                                                              boolean jarg4)

    - #### structure_ReadSHAPE__SWIG_2

          public static final int structure_ReadSHAPE__SWIG_2(long jarg1,
                                                              structure jarg1_,
                                                              java.lang.String jarg2,
                                                              int jarg3)

    - #### structure_ReadSHAPE__SWIG_3

          public static final int structure_ReadSHAPE__SWIG_3(long jarg1,
                                                              structure jarg1_,
                                                              java.lang.String jarg2)

    - #### structure_RemoveAllStructures

          public static final void structure_RemoveAllStructures(long jarg1,
                                                                 structure jarg1_)

    - #### structure_RemoveConstraints

          public static final void structure_RemoveConstraints(long jarg1,
                                                               structure jarg1_)

    - #### structure_RemoveEnergyLabels__SWIG_0

          public static final void structure_RemoveEnergyLabels__SWIG_0(long jarg1,
                                                                        structure jarg1_,
                                                                        java.lang.String jarg2)

    - #### structure_RemoveEnergyLabels__SWIG_1

          public static final void structure_RemoveEnergyLabels__SWIG_1(long jarg1,
                                                                        structure jarg1_)

    - #### structure_RemoveLastStructure

          public static final void structure_RemoveLastStructure(long jarg1,
                                                                 structure jarg1_)

    - #### structure_RemovePair__SWIG_0

          public static final void structure_RemovePair__SWIG_0(long jarg1,
                                                                structure jarg1_,
                                                                int jarg2,
                                                                int jarg3)

    - #### structure_RemovePair__SWIG_1

          public static final void structure_RemovePair__SWIG_1(long jarg1,
                                                                structure jarg1_,
                                                                int jarg2)

    - #### structure_RemoveStructure

          public static final void structure_RemoveStructure(long jarg1,
                                                             structure jarg1_,
                                                             int jarg2)

    - #### structure_SetCtLabel

          public static final void structure_SetCtLabel(long jarg1,
                                                        structure jarg1_,
                                                        java.lang.String jarg2,
                                                        int jarg3)

    - #### structure_SetEnergy

          public static final void structure_SetEnergy(long jarg1,
                                                       structure jarg1_,
                                                       int jarg2,
                                                       int jarg3)

    - #### structure_SetPair__SWIG_0

          public static final void structure_SetPair__SWIG_0(long jarg1,
                                                             structure jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4)

    - #### structure_SetPair__SWIG_1

          public static final void structure_SetPair__SWIG_1(long jarg1,
                                                             structure jarg1_,
                                                             int jarg2,
                                                             int jarg3)

    - #### structure_SetPairingDistance

          public static final void structure_SetPairingDistance(long jarg1,
                                                                structure jarg1_,
                                                                int jarg2)

    - #### structure_SetSequence

          public static final int structure_SetSequence(long jarg1,
                                                        structure jarg1_,
                                                        java.lang.String jarg2)

    - #### structure_SetSequenceLabel

          public static final void structure_SetSequenceLabel(long jarg1,
                                                              structure jarg1_,
                                                              java.lang.String jarg2)

    - #### structure_SetThermodynamicDataTable

          public static final void structure_SetThermodynamicDataTable(long jarg1,
                                                                       structure jarg1_,
                                                                       long jarg2,
                                                                       datatable jarg2_)

    - #### structure_SHAPEFileRead_get

          public static final boolean structure_SHAPEFileRead_get(long jarg1,
                                                                  structure jarg1_)

    - #### structure_SHAPEFileRead_set

          public static final void structure_SHAPEFileRead_set(long jarg1,
                                                               structure jarg1_,
                                                               boolean jarg2)

    - #### structure_ShowWarnings_get

          public static final int structure_ShowWarnings_get()

    - #### structure_ShowWarnings_set

          public static final void structure_ShowWarnings_set(int jarg1)

    - #### structure_sort

          public static final void structure_sort(long jarg1,
                                                  structure jarg1_)

    - #### structure_SumShapeRepeats_get

          public static final boolean structure_SumShapeRepeats_get()

    - #### structure_SumShapeRepeats_set

          public static final void structure_SumShapeRepeats_set(boolean jarg1)

    - #### structure_writedotbracket__SWIG_0

          public static final int structure_writedotbracket__SWIG_0(long jarg1,
                                                                    structure jarg1_,
                                                                    java.lang.String jarg2,
                                                                    int jarg3,
                                                                    int jarg4)

    - #### structure_writedotbracket__SWIG_1

          public static final int structure_writedotbracket__SWIG_1(long jarg1,
                                                                    structure jarg1_,
                                                                    java.lang.String jarg2,
                                                                    int jarg3)

    - #### structure_writedotbracket__SWIG_2

          public static final int structure_writedotbracket__SWIG_2(long jarg1,
                                                                    structure jarg1_,
                                                                    java.lang.String jarg2)

    - #### structure_writeseq__SWIG_0

          public static final int structure_writeseq__SWIG_0(long jarg1,
                                                             structure jarg1_,
                                                             java.lang.String jarg2,
                                                             int jarg3,
                                                             boolean jarg4)

    - #### structure_writeseq__SWIG_1

          public static final int structure_writeseq__SWIG_1(long jarg1,
                                                             structure jarg1_,
                                                             java.lang.String jarg2,
                                                             int jarg3)

    - #### structure_writeseq__SWIG_2

          public static final int structure_writeseq__SWIG_2(long jarg1,
                                                             structure jarg1_,
                                                             java.lang.String jarg2)

    - #### structure_WriteSHAPE__SWIG_0

          public static final int structure_WriteSHAPE__SWIG_0(long jarg1,
                                                               structure jarg1_,
                                                               java.lang.String jarg2,
                                                               boolean jarg3)

    - #### structure_WriteSHAPE__SWIG_1

          public static final int structure_WriteSHAPE__SWIG_1(long jarg1,
                                                               structure jarg1_,
                                                               java.lang.String jarg2)

    - #### Thermodynamics_ClearEnergies

          public static final void Thermodynamics_ClearEnergies(long jarg1,
                                                                Thermodynamics jarg1_)

    - #### Thermodynamics_ClearEnthalpies

          public static final void Thermodynamics_ClearEnthalpies(long jarg1,
                                                                  Thermodynamics jarg1_)

    - #### Thermodynamics_GetAlphabetName

          public static final java.lang.String Thermodynamics_GetAlphabetName(long jarg1,
                                                                              Thermodynamics jarg1_)

    - #### Thermodynamics_GetDatatable

          public static final long Thermodynamics_GetDatatable(long jarg1,
                                                               Thermodynamics jarg1_)

    - #### Thermodynamics_GetEnergyRead

          public static final boolean Thermodynamics_GetEnergyRead(long jarg1,
                                                                   Thermodynamics jarg1_)

    - #### Thermodynamics_GetEnthalpyTable__SWIG_0

          public static final long Thermodynamics_GetEnthalpyTable__SWIG_0(long jarg1,
                                                                           Thermodynamics jarg1_,
                                                                           java.lang.String jarg2)

    - #### Thermodynamics_GetEnthalpyTable__SWIG_1

          public static final long Thermodynamics_GetEnthalpyTable__SWIG_1(long jarg1,
                                                                           Thermodynamics jarg1_)

    - #### Thermodynamics_GetTemperature

          public static final double Thermodynamics_GetTemperature(long jarg1,
                                                                   Thermodynamics jarg1_)

    - #### Thermodynamics_IsAlphabetRead

          public static final boolean Thermodynamics_IsAlphabetRead(long jarg1,
                                                                    Thermodynamics jarg1_)

    - #### Thermodynamics_isrna_get

          public static final boolean Thermodynamics_isrna_get(long jarg1,
                                                               Thermodynamics jarg1_)

    - #### Thermodynamics_isrna_set

          public static final void Thermodynamics_isrna_set(long jarg1,
                                                            Thermodynamics jarg1_,
                                                            boolean jarg2)

    - #### Thermodynamics_ReadThermodynamic__SWIG_0

          public static final int Thermodynamics_ReadThermodynamic__SWIG_0(long jarg1,
                                                                           Thermodynamics jarg1_,
                                                                           java.lang.String jarg2,
                                                                           java.lang.String jarg3,
                                                                           double jarg4)

    - #### Thermodynamics_ReadThermodynamic__SWIG_1

          public static final int Thermodynamics_ReadThermodynamic__SWIG_1(long jarg1,
                                                                           Thermodynamics jarg1_,
                                                                           java.lang.String jarg2,
                                                                           java.lang.String jarg3)

    - #### Thermodynamics_ReadThermodynamic__SWIG_2

          public static final int Thermodynamics_ReadThermodynamic__SWIG_2(long jarg1,
                                                                           Thermodynamics jarg1_,
                                                                           java.lang.String jarg2)

    - #### Thermodynamics_ReadThermodynamic__SWIG_3

          public static final int Thermodynamics_ReadThermodynamic__SWIG_3(long jarg1,
                                                                           Thermodynamics jarg1_)

    - #### Thermodynamics_ReloadDataTables__SWIG_0

          public static final int Thermodynamics_ReloadDataTables__SWIG_0(long jarg1,
                                                                          Thermodynamics jarg1_,
                                                                          double jarg2)

    - #### Thermodynamics_ReloadDataTables__SWIG_1

          public static final int Thermodynamics_ReloadDataTables__SWIG_1(long jarg1,
                                                                          Thermodynamics jarg1_)

    - #### Thermodynamics_SetTemperature

          public static final int Thermodynamics_SetTemperature(long jarg1,
                                                                Thermodynamics jarg1_,
                                                                double jarg2)

    - #### Thermodynamics_VerifyThermodynamic

          public static final boolean Thermodynamics_VerifyThermodynamic(long jarg1,
                                                                         Thermodynamics jarg1_)

    - #### TProgressDialog_SWIGUpcast

          public static final long TProgressDialog_SWIGUpcast(long jarg1)

    - #### TProgressDialog_update

          public static final void TProgressDialog_update(long jarg1,
                                                          TProgressDialog jarg1_,
                                                          int jarg2)

    - #### TwoRNA_compoundmessage_get

          public static final java.lang.String TwoRNA_compoundmessage_get(long jarg1,
                                                                          TwoRNA jarg1_)

    - #### TwoRNA_compoundmessage_set

          public static final void TwoRNA_compoundmessage_set(long jarg1,
                                                              TwoRNA jarg1_,
                                                              java.lang.String jarg2)

    - #### TwoRNA_GetErrorCode

          public static final int TwoRNA_GetErrorCode(long jarg1,
                                                      TwoRNA jarg1_)

    - #### TwoRNA_GetErrorDetails

          public static final java.lang.String TwoRNA_GetErrorDetails(long jarg1,
                                                                      TwoRNA jarg1_)

    - #### TwoRNA_GetErrorMessage

          public static final java.lang.String TwoRNA_GetErrorMessage(long jarg1,
                                                                      TwoRNA jarg1_,
                                                                      int jarg2)

    - #### TwoRNA_GetErrorMessageString

          public static final java.lang.String TwoRNA_GetErrorMessageString(long jarg1,
                                                                            TwoRNA jarg1_,
                                                                            int jarg2)

    - #### TwoRNA_GetRNA1

          public static final long TwoRNA_GetRNA1(long jarg1,
                                                  TwoRNA jarg1_)

    - #### TwoRNA_GetRNA2

          public static final long TwoRNA_GetRNA2(long jarg1,
                                                  TwoRNA jarg1_)

    - #### TwoRNA_GetTemperature

          public static final double TwoRNA_GetTemperature(long jarg1,
                                                           TwoRNA jarg1_)

    - #### TwoRNA_ResetError

          public static final void TwoRNA_ResetError(long jarg1,
                                                     TwoRNA jarg1_)

    - #### TwoRNA_SetErrorDetails

          public static final void TwoRNA_SetErrorDetails(long jarg1,
                                                          TwoRNA jarg1_,
                                                          java.lang.String jarg2)

    - #### TwoRNA_SetTemperature

          public static final int TwoRNA_SetTemperature(long jarg1,
                                                        TwoRNA jarg1_,
                                                        double jarg2)